package com.jarvis.dataCenter.entity.prod;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.jarvis.lib.common.mybatisplus.entity.AbstractEntity;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * <p>
 *  ENTITY
 * </p>
 *
 * @author jinzhaopo
 * @since 2019-10-22
 */
@Data
@TableName("bus_merchandisemaster")
public class BusMerchandisemasterEntity extends AbstractEntity {

    private static final long serialVersionUID = 1L;
    
    /**
     * 主键 自增长
     */
    @TableId(value = ID, type = IdType.AUTO)
    private Integer id;
    
    /**
     * SKU编号
     */
    @TableField(SKUCODE)
    private String skuCode;
    
    /**
     * 产品ID 关联bus_productMaster->productId
     */
    @TableField(PRODUCTID)
    private Integer productId;
    
    /**
     * 产品规格明细ID 关联bus_productSpec->Id
     */
    @TableField(PRODUCTSPECID)
    private Integer productSpecId;
    
    /**
     * 产品中文名称 关联bus_productMaster->productNameCn
     */
    @TableField(PRODUCTNAMECN)
    private String productNameCn;
    
    /**
     * 内部编码:瑞尔集团内部使用编码，用来做一一对应关系
     */
    @TableField(INSIDECODE)
    private String insideCode;
    
    /**
     * 供应商内部编码
     */
    @TableField(SUPINSIDECODE)
    private String supinsideCode;
    
    /**
     * 产品系列中文名称
     */
    @TableField(PD_SERIESCN)
    private String pdSeriescn;
    
    /**
     * 产品系列英文名称
     */
    @TableField(PD_SERIESEN)
    private String pdSeriesen;
    
    /**
     * 供应商ID 关联po_supliersMaster->id
     */
    @TableField(SUPLIERSID)
    private Integer supliersId;
    
    /**
     * 供应商产品名称(平台采购)
     */
    @TableField(SUPLIERSPRODUCTNAMECN)
    private String supliersProductNameCn;
    
    /**
     * 供应商规格名称
     */
    @TableField(SUPLIERSPRODUCTSPECNAME)
    private String supliersProductSpecName;
    
    /**
     * 供应商子规格名称
     */
    @TableField(SUPLIERSSPECNAMEEXT)
    private String supliersSpecNameExt;
    
    /**
     * 是否是自营sku(y/n)
     */
    @TableField(SELFSELL)
    private String selfSell;
    
    /**
     * 供应商抬头简称 关联po_supliersMaster->supliersShortName
     */
    @TableField(SUPLIERSSHORTNAME)
    private String supliersShortName;
    
    /**
     * 品牌id:关联bus_productBrand->id
     */
    @TableField(BRANDID)
    private Integer brandId;
    
    /**
     * 品牌中文名称:关联bus_productBrand->brandNameCn
     */
    @TableField(BRANDNAMECN)
    private String brandNameCn;
    
    /**
     * 分类id:关联bus_productCategory->id
     */
    @TableField(CATEGORYID)
    private Integer categoryId;
    
    /**
     * 分类名称:关联bus_productCategory->categoryNameCn
     */
    @TableField(CATEGORYNAMECN)
    private String categoryNameCn;
    
    /**
     * 展示分类id:关联bus_productShowCategory->id
     */
    @TableField(SHOWCATEGORYID)
    private Integer showCategoryId;
    
    /**
     * 展示分类名称:关联bus_productShowCategory->categoryNameCn
     */
    @TableField(SHOWCATEGORYNAMECN)
    private String showCategoryNameCn;
    
    /**
     * 规格id 关联 bus_productMasterExtend->extId
     */
    @TableField(EXTID_GP_SPEC)
    private Integer extidGpSpec;
    
    /**
     * 规格名称 关联 bus_productMasterExtend->exName
     */
    @TableField(EXTGPNAME_GP_SPEC)
    private String extgpnameGpSpec;
    
    /**
     * 二级规格id
     */
    @TableField(EXTID_GP_SPECEXT)
    private Integer extidGpSpecext;
    
    /**
     * 二级规格名称
     */
    @TableField(EXTGPNAME_GP_SPECEXT)
    private String extgpnameGpSpecext;
    
    /**
     * 包装单位id 关联 bus_productMasterExtend->extId
     */
    @TableField(EXTID_GP_PKUNIT)
    private Integer extidGpPkunit;
    
    /**
     * 包装单位名称 关联 bus_productMasterExtend->groupName
     */
    @TableField(EXTGPNAME_GP_PKUNIT)
    private String extgpnameGpPkunit;
    
    /**
     * 销售单位id 关联 bus_productMasterExtend->extId
     */
    @TableField(EXTID_GP_SALESUNIT)
    private Integer extidGpSalesunit;
    
    /**
     * 销售单位名称 关联 bus_productMasterExtend->groupName
     */
    @TableField(EXTGPNAME_GP_SALESUNIT)
    private String extgpnameGpSalesunit;
    
    /**
     * 最小使用单位（库存单位）例如：台 支
     */
    @TableField(STOCK_UNIT)
    private String stockUnit;
    
    /**
     * 库存销售单位换算 例如：填写6，表示1个销售单位中对应6个使用单位
     */
    @TableField(STOCK_USE_UNIT)
    private BigDecimal stockUseUnit;
    
    /**
     * 进货单位
     */
    @TableField(PURCHASE_UNIT)
    private String purchaseUnit;
    
    /**
     * 成本价（针对进货单位）
     */
    @TableField(PURCHASE_PRICE)
    private BigDecimal purchasePrice;
    
    /**
     * 进货/销售单位换算
     */
    @TableField(PURCHASE_USE_UNIT)
    private BigDecimal purchaseUseUnit;
    
    /**
     * 商品产地 基本设置(itemGpCode) 进口、国产
     */
    @TableField(PROVENANCETYP)
    private String provenanceTyp;
    
    /**
     * 税率
     */
    @TableField(TAXRATE)
    private BigDecimal taxRate;
    
    /**
     * 网站标准售价
     */
    @TableField(SALEPRICE)
    private BigDecimal salePrice;
    
    /**
     * 市场售价
     */
    @TableField(MARKETPRICE)
    private BigDecimal marketPrice;
    
    /**
     * 商品库存归属 状态 0：否 1：是
     */
    @TableField(STK_ASCRIPTION)
    private Integer stkAscription;
    
    /**
     * 关联仓库 预留字段
     */
    @TableField(WHS_REL)
    private String whsRel;
    
    /**
     * 商品供货属性 基本设置(itemGpCode) itemGpCode = bus_merchandise_provide_typ
     */
    @TableField(SUPPLYATTRIBUTE)
    private String supplyAttribute;
    
    /**
     * 供货天数，仅当商品供货属性=非现货时生效
     */
    @TableField(SUPPLYATTRDAYS)
    private BigDecimal supplyAttrDays;
    
    /**
     * 预留：基本设置(itemGpCode) itemGpCode = bus_merchandise_stock
     */
    @TableField(STATUS_FLG)
    private Integer statusFlg;
    
    /**
     * 商品库存状态 基本设置(itemGpCode) itemGpCode = bus_merchandise_stock
     */
    @TableField(STK_STATUS)
    private Integer stkStatus;
    
    /**
     * 净重
     */
    @TableField(NETWEIGHT)
    private BigDecimal netWeight;
    
    /**
     * 毛重
     */
    @TableField(GROSSWEIGHT)
    private BigDecimal grossWeight;
    
    /**
     * 原产地中文
     */
    @TableField(PROVENANCECN)
    private String provenanceCn;
    
    /**
     * 原产地英文
     */
    @TableField(PROVENANCEEN)
    private String provenanceEn;
    
    /**
     * 审核状态：0：创建，1：待审核，2：已审核，3：驳回，4：关闭
     */
    @TableField(APPSTATUS)
    private Integer appStatus;
    
    /**
     * 上下架状态：0：创建，1：上架，2：下架，3：停售，4：总库未到货
     */
    @TableField(SHELFSTATUS)
    private Integer shelfStatus;
    
    /**
     * 预留1
     */
    @TableField(RESERVEI)
    private String reservei;
    
    /**
     * 预留2
     */
    @TableField(RESERVEII)
    private String reserveii;
    
    /**
     * 商城是否显示  0:商城不显示  1:商城显示
     */
    @TableField(SHOPSHOW)
    private Integer shopShow;
    
    /**
     * 状态 0：禁用 1：启用
     */
    @TableField(USEFLG)
    private Integer useFlg;
    
    /**
     * 备注
     */
    @TableField(MEMO)
    private String memo;
    
    /**
     * 创建人
     */
    @TableField(CREATOR)
    private String creator;
    
    /**
     * 修改人
     */
    @TableField(EDITOR)
    private String editor;
    
    /**
     * 创建时间
     */
    @TableField(CREATEDTIME)
    private Date createdTime;
    
    /**
     * 更新时间
     */
    @TableField(UPDATEDTIME)
    private Date updatedTime;



    /**
     * 主键 自增长
     */
    public static final String ID = "id";

    /**
     * SKU编号
     */
    public static final String SKUCODE = "skuCode";

    /**
     * 产品ID 关联bus_productMaster->productId
     */
    public static final String PRODUCTID = "productId";

    /**
     * 产品规格明细ID 关联bus_productSpec->Id
     */
    public static final String PRODUCTSPECID = "productSpecId";

    /**
     * 产品中文名称 关联bus_productMaster->productNameCn
     */
    public static final String PRODUCTNAMECN = "productNameCn";

    /**
     * 内部编码:瑞尔集团内部使用编码，用来做一一对应关系
     */
    public static final String INSIDECODE = "insideCode";

    /**
     * 供应商内部编码
     */
    public static final String SUPINSIDECODE = "supinsideCode";

    /**
     * 产品系列中文名称
     */
    public static final String PD_SERIESCN = "pd_seriesCn";

    /**
     * 产品系列英文名称
     */
    public static final String PD_SERIESEN = "pd_seriesEn";

    /**
     * 供应商ID 关联po_supliersMaster->id
     */
    public static final String SUPLIERSID = "supliersId";

    /**
     * 供应商产品名称(平台采购)
     */
    public static final String SUPLIERSPRODUCTNAMECN = "supliersProductNameCn";

    /**
     * 供应商规格名称
     */
    public static final String SUPLIERSPRODUCTSPECNAME = "supliersProductSpecName";

    /**
     * 供应商子规格名称
     */
    public static final String SUPLIERSSPECNAMEEXT = "supliersSpecNameExt";

    /**
     * 是否是自营sku(y/n)
     */
    public static final String SELFSELL = "selfSell";

    /**
     * 供应商抬头简称 关联po_supliersMaster->supliersShortName
     */
    public static final String SUPLIERSSHORTNAME = "supliersShortName";

    /**
     * 品牌id:关联bus_productBrand->id
     */
    public static final String BRANDID = "brandId";

    /**
     * 品牌中文名称:关联bus_productBrand->brandNameCn
     */
    public static final String BRANDNAMECN = "brandNameCn";

    /**
     * 分类id:关联bus_productCategory->id
     */
    public static final String CATEGORYID = "categoryId";

    /**
     * 分类名称:关联bus_productCategory->categoryNameCn
     */
    public static final String CATEGORYNAMECN = "categoryNameCn";

    /**
     * 展示分类id:关联bus_productShowCategory->id
     */
    public static final String SHOWCATEGORYID = "showCategoryId";

    /**
     * 展示分类名称:关联bus_productShowCategory->categoryNameCn
     */
    public static final String SHOWCATEGORYNAMECN = "showCategoryNameCn";

    /**
     * 规格id 关联 bus_productMasterExtend->extId
     */
    public static final String EXTID_GP_SPEC = "extId_gp_spec";

    /**
     * 规格名称 关联 bus_productMasterExtend->exName
     */
    public static final String EXTGPNAME_GP_SPEC = "extGpName_gp_spec";

    /**
     * 二级规格id
     */
    public static final String EXTID_GP_SPECEXT = "extId_gp_specext";

    /**
     * 二级规格名称
     */
    public static final String EXTGPNAME_GP_SPECEXT = "extGpName_gp_specext";

    /**
     * 包装单位id 关联 bus_productMasterExtend->extId
     */
    public static final String EXTID_GP_PKUNIT = "extId_gp_pkUnit";

    /**
     * 包装单位名称 关联 bus_productMasterExtend->groupName
     */
    public static final String EXTGPNAME_GP_PKUNIT = "extGpName_gp_pkUnit";

    /**
     * 销售单位id 关联 bus_productMasterExtend->extId
     */
    public static final String EXTID_GP_SALESUNIT = "extId_gp_salesUnit";

    /**
     * 销售单位名称 关联 bus_productMasterExtend->groupName
     */
    public static final String EXTGPNAME_GP_SALESUNIT = "extGpName_gp_salesUnit";

    /**
     * 最小使用单位（库存单位）例如：台 支
     */
    public static final String STOCK_UNIT = "stock_unit";

    /**
     * 库存销售单位换算 例如：填写6，表示1个销售单位中对应6个使用单位
     */
    public static final String STOCK_USE_UNIT = "stock_use_unit";

    /**
     * 进货单位
     */
    public static final String PURCHASE_UNIT = "purchase_unit";

    /**
     * 成本价（针对进货单位）
     */
    public static final String PURCHASE_PRICE = "purchase_price";

    /**
     * 进货/销售单位换算
     */
    public static final String PURCHASE_USE_UNIT = "purchase_use_unit";

    /**
     * 商品产地 基本设置(itemGpCode) 进口、国产
     */
    public static final String PROVENANCETYP = "provenanceTyp";

    /**
     * 税率
     */
    public static final String TAXRATE = "taxRate";

    /**
     * 网站标准售价
     */
    public static final String SALEPRICE = "salePrice";

    /**
     * 市场售价
     */
    public static final String MARKETPRICE = "marketPrice";

    /**
     * 商品库存归属 状态 0：否 1：是
     */
    public static final String STK_ASCRIPTION = "stk_ascription";

    /**
     * 关联仓库 预留字段
     */
    public static final String WHS_REL = "whs_rel";

    /**
     * 商品供货属性 基本设置(itemGpCode) itemGpCode = bus_merchandise_provide_typ
     */
    public static final String SUPPLYATTRIBUTE = "supplyAttribute";

    /**
     * 供货天数，仅当商品供货属性=非现货时生效
     */
    public static final String SUPPLYATTRDAYS = "supplyAttrDays";

    /**
     * 预留：基本设置(itemGpCode) itemGpCode = bus_merchandise_stock
     */
    public static final String STATUS_FLG = "status_Flg";

    /**
     * 商品库存状态 基本设置(itemGpCode) itemGpCode = bus_merchandise_stock
     */
    public static final String STK_STATUS = "stk_Status";

    /**
     * 净重
     */
    public static final String NETWEIGHT = "netWeight";

    /**
     * 毛重
     */
    public static final String GROSSWEIGHT = "grossWeight";

    /**
     * 原产地中文
     */
    public static final String PROVENANCECN = "provenanceCn";

    /**
     * 原产地英文
     */
    public static final String PROVENANCEEN = "provenanceEn";

    /**
     * 审核状态：0：创建，1：待审核，2：已审核，3：驳回，4：关闭
     */
    public static final String APPSTATUS = "appStatus";

    /**
     * 上下架状态：0：创建，1：上架，2：下架，3：停售，4：总库未到货
     */
    public static final String SHELFSTATUS = "shelfStatus";

    /**
     * 预留1
     */
    public static final String RESERVEI = "reservei";

    /**
     * 预留2
     */
    public static final String RESERVEII = "reserveii";

    /**
     * 商城是否显示  0:商城不显示  1:商城显示
     */
    public static final String SHOPSHOW = "shopShow";

    /**
     * 状态 0：禁用 1：启用
     */
    public static final String USEFLG = "useFlg";

    /**
     * 备注
     */
    public static final String MEMO = "memo";

    /**
     * 创建人
     */
    public static final String CREATOR = "creator";

    /**
     * 修改人
     */
    public static final String EDITOR = "editor";

    /**
     * 创建时间
     */
    public static final String CREATEDTIME = "createdTime";

    /**
     * 更新时间
     */
    public static final String UPDATEDTIME = "updatedTime";


}
