package com.jarvis.dataCenter.entity.prod;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.jarvis.lib.common.mybatisplus.entity.AbstractEntity;
import lombok.Data;

import java.util.Date;
/**
 * <p>
 * 产品品牌表 ENTITY
 * </p>
 *
 * @author jinzhaopo
 * @since 2019-10-22
 */
@Data
@TableName("bus_productbrand")
public class BusProductbrandEntity extends AbstractEntity {

    private static final long serialVersionUID = 1L;
    
    /**
     * 主键 自增长
     */
    @TableId(value = ID, type = IdType.AUTO)
    private Integer id;
    
    /**
     * 品牌中文名称 唯一校验
     */
    @TableField(BRANDNAMECN)
    private String brandNameCn;
    
    /**
     * 品牌英文名称 唯一校验
     */
    @TableField(BRANDNAMEEN)
    private String brandNameEn;
    
    /**
     * 品牌代码  唯一校验
     */
    @TableField(BRANDCODE)
    private String brandCode;
    
    /**
     * 图片url
     */
    @TableField(BRANDIMG1)
    private String brandImg1;
    
    /**
     * 图片url
     */
    @TableField(BRANDIMG2)
    private String brandImg2;
    
    /**
     * 图片url
     */
    @TableField(BRANDIMG3)
    private String brandImg3;
    
    /**
     * 品牌简述
     */
    @TableField(BRANDDESC)
    private String brandDesc;
    
    /**
     * 预留1
     */
    @TableField(RESERVEI)
    private String reservei;
    
    /**
     * 预留2
     */
    @TableField(RESERVEII)
    private String reserveii;
    
    /**
     * 显示排序，品牌显示的排序
     */
    @TableField(ROW_NUM)
    private Integer rowNum;
    
    /**
     * 品牌商城显示的排序
     */
    @TableField(ROW_NUMII)
    private Integer rowNumii;
    
    /**
     * 0：禁用 1：启用
     */
    @TableField(USEFLG)
    private Integer useFlg;
    
    /**
     * 备注
     */
    @TableField(MEMO)
    private String memo;
    
    /**
     * 创建人
     */
    @TableField(CREATOR)
    private String creator;
    
    /**
     * 修改人
     */
    @TableField(EDITOR)
    private String editor;
    
    /**
     * 创建时间
     */
    @TableField(CREATEDTIME)
    private Date createdTime;
    
    /**
     * 更新时间
     */
    @TableField(UPDATEDTIME)
    private Date updatedTime;
    
    /**
     * 0：商城不显示 1：商城显示
     */
    @TableField(SHOPSHOW)
    private Integer shopShow;



    /**
     * 主键 自增长
     */
    public static final String ID = "id";

    /**
     * 品牌中文名称 唯一校验
     */
    public static final String BRANDNAMECN = "brandNameCn";

    /**
     * 品牌英文名称 唯一校验
     */
    public static final String BRANDNAMEEN = "brandNameEn";

    /**
     * 品牌代码  唯一校验
     */
    public static final String BRANDCODE = "brandCode";

    /**
     * 图片url
     */
    public static final String BRANDIMG1 = "brandImg1";

    /**
     * 图片url
     */
    public static final String BRANDIMG2 = "brandImg2";

    /**
     * 图片url
     */
    public static final String BRANDIMG3 = "brandImg3";

    /**
     * 品牌简述
     */
    public static final String BRANDDESC = "brandDesc";

    /**
     * 预留1
     */
    public static final String RESERVEI = "reservei";

    /**
     * 预留2
     */
    public static final String RESERVEII = "reserveii";

    /**
     * 显示排序，品牌显示的排序
     */
    public static final String ROW_NUM = "row_num";

    /**
     * 品牌商城显示的排序
     */
    public static final String ROW_NUMII = "row_numii";

    /**
     * 0：禁用 1：启用
     */
    public static final String USEFLG = "useFlg";

    /**
     * 备注
     */
    public static final String MEMO = "memo";

    /**
     * 创建人
     */
    public static final String CREATOR = "creator";

    /**
     * 修改人
     */
    public static final String EDITOR = "editor";

    /**
     * 创建时间
     */
    public static final String CREATEDTIME = "createdTime";

    /**
     * 更新时间
     */
    public static final String UPDATEDTIME = "updatedTime";

    /**
     * 0：商城不显示 1：商城显示
     */
    public static final String SHOPSHOW = "shopShow";


}
