package com.jarvis.dataCenter.entity.prod;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.jarvis.lib.common.mybatisplus.entity.AbstractEntity;
import lombok.Data;

import java.util.Date;
/**
 * <p>
 * 产品分类表 ENTITY
 * </p>
 *
 * @author jinzhaopo
 * @since 2019-10-22
 */
@Data
@TableName("bus_productcategory")
public class BusProductcategoryEntity extends AbstractEntity {

    private static final long serialVersionUID = 1L;
    
    /**
     * 主键 自增长
     */
    @TableId(value = ID, type = IdType.AUTO)
    private Integer id;
    
    /**
     * 上级分类id
     */
    @TableField(PARENTID)
    private Integer parentId;
    
    /**
     * 分类级别 0:项目 1:品类 2:子品类
     */
    @TableField(CATELEVEL)
    private Integer cateLevel;
    
    /**
     * 产品分类中文名称
     */
    @TableField(CATEGORYNAMECN)
    private String categoryNameCn;
    
    /**
     * 产品分类英文名称
     */
    @TableField(CATEGORYNAMEEN)
    private String categoryNameEn;
    
    /**
     * 分类编码 唯一
     */
    @TableField(CATEGORYCODE)
    private String categoryCode;
    
    /**
     * 分类图片
     */
    @TableField(CATEGORYIMG)
    private String categoryImg;
    
    /**
     * 备注
     */
    @TableField(MEMO)
    private String memo;
    
    /**
     * 分类显示的排序
     */
    @TableField(ROW_NUM)
    private Integer rowNum;
    
    /**
     * 分类在商城显示的排序
     */
    @TableField(ROW_NUMII)
    private Integer rowNumii;
    
    /**
     * 状态 0：禁用 1：启用
     */
    @TableField(USEFLG)
    private Integer useFlg;
    
    /**
     * 是否关键 0:否 1：是
     */
    @TableField(IS_KEY)
    private Integer isKey;
    
    /**
     * 创建人
     */
    @TableField(CREATOR)
    private String creator;
    
    /**
     * 修改人
     */
    @TableField(EDITOR)
    private String editor;
    
    /**
     * 创建时间
     */
    @TableField(CREATEDTIME)
    private Date createdTime;
    
    /**
     * 更新时间
     */
    @TableField(UPDATEDTIME)
    private Date updatedTime;



    /**
     * 主键 自增长
     */
    public static final String ID = "id";

    /**
     * 上级分类id
     */
    public static final String PARENTID = "parentId";

    /**
     * 分类级别 0:项目 1:品类 2:子品类
     */
    public static final String CATELEVEL = "cateLevel";

    /**
     * 产品分类中文名称
     */
    public static final String CATEGORYNAMECN = "categoryNameCn";

    /**
     * 产品分类英文名称
     */
    public static final String CATEGORYNAMEEN = "categoryNameEn";

    /**
     * 分类编码 唯一
     */
    public static final String CATEGORYCODE = "categoryCode";

    /**
     * 分类图片
     */
    public static final String CATEGORYIMG = "categoryImg";

    /**
     * 备注
     */
    public static final String MEMO = "memo";

    /**
     * 分类显示的排序
     */
    public static final String ROW_NUM = "row_num";

    /**
     * 分类在商城显示的排序
     */
    public static final String ROW_NUMII = "row_numii";

    /**
     * 状态 0：禁用 1：启用
     */
    public static final String USEFLG = "useFlg";

    /**
     * 是否关键 0:否 1：是
     */
    public static final String IS_KEY = "is_key";

    /**
     * 创建人
     */
    public static final String CREATOR = "creator";

    /**
     * 修改人
     */
    public static final String EDITOR = "editor";

    /**
     * 创建时间
     */
    public static final String CREATEDTIME = "createdTime";

    /**
     * 更新时间
     */
    public static final String UPDATEDTIME = "updatedTime";


}
