package com.jarvis.dataCenter.entity.prod;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.jarvis.lib.common.mybatisplus.entity.AbstractEntity;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;
/**
 * <p>
 *  ENTITY
 * </p>
 *
 * @author jinzhaopo
 * @since 2019-10-22
 */
@Data
@TableName("bus_productspec")
public class BusProductspecEntity extends AbstractEntity {

    private static final long serialVersionUID = 1L;
    
    /**
     * 主键 产品ID 自增长
     */
    @TableId(value = ID, type = IdType.AUTO)
    private Integer id;
    
    /**
     * 产品ID，bus_productMaster-->id
     */
    @TableField(PRODUCTID)
    private Integer productId;
    
    /**
     * 厂商内部编码
     */
    @TableField(INSIDECODEPROSPEC)
    private String insideCodeProspec;
    
    /**
     * 规格型号，暂存字符
     */
    @TableField(SPECNAME)
    private String specName;
    
    /**
     * 规格描述：富文本格式
     */
    @TableField(SPECNAMEDESC)
    private String specNameDesc;
    
    /**
     * 二级规格型号：辅助属性
     */
    @TableField(SPECNAMEEXT)
    private String specNameExt;
    
    /**
     * 产品俗名
     */
    @TableField(PRODUCTPOPULARNAME)
    private String productpopularName;
    
    /**
     * 包装方式，暂存字符
     */
    @TableField(PACKNAME)
    private String packName;
    
    /**
     * 销售单位，暂存字符
     */
    @TableField(SALESUNIT)
    private String salesUnit;
    
    /**
     * 是否设置销售单位为默认管理单位 0否  1是
     */
    @TableField(DEFAULTSALESUNIT)
    private Integer defaultSalesUnit;
    
    /**
     * 最小使用单位（库存单位），暂存字符
     */
    @TableField(MINUSEUNIT)
    private String minUseunit;
    
    /**
     * 库存/销售单位换算
     */
    @TableField(STOCKVSSALE)
    private BigDecimal stockvssale;
    
    /**
     * 最小单位
     */
    @TableField(SMALLUNIT)
    private String smallUnit;
    
    /**
     * 是否设置最小单位为默认管理单位 0否  1是
     */
    @TableField(DEFAULTSMALLUNIT)
    private Integer defaultSmallUnit;
    
    /**
     * 最小单位/销售单位 换算
     */
    @TableField(SMALLCONVERSION)
    private BigDecimal smallConversion;
    
    /**
     * 市场参考售价
     */
    @TableField(REFERENCEPRICEI)
    private BigDecimal referencePricei;
    
    /**
     * 市场参考售价2
     */
    @TableField(REFERENCEPRICEII)
    private BigDecimal referencePriceii;
    
    /**
     * 税率
     */
    @TableField(TAXI)
    private BigDecimal taxi;
    
    /**
     * 税率2
     */
    @TableField(TAXII)
    private BigDecimal taxii;
    
    /**
     * 保质期
     */
    @TableField(QUALITYPREIOD)
    private String qualityPreiod;
    
    /**
     * 预留1
     */
    @TableField(RESERVEI)
    private String reservei;
    
    /**
     * 预留2
     */
    @TableField(RESERVEII)
    private String reserveii;
    
    /**
     * 预留3
     */
    @TableField(RESERVEIII)
    private String reserveiii;
    
    /**
     * 预留4
     */
    @TableField(RESERVEIV)
    private String reserveiv;
    
    /**
     * 预留5
     */
    @TableField(RESERVEV)
    private String reservev;
    
    /**
     * 预留6
     */
    @TableField(RESERVEVI)
    private String reservevi;
    
    /**
     * 审核状态：0：创建，1：待审核，2：已审核，3：驳回，4：关闭
     */
    @TableField(APPSTATUS)
    private Integer appStatus;
    
    /**
     * 序号：显示排序
     */
    @TableField(ROWNUM)
    private Integer rownum;
    
    /**
     * 状态 0：禁用 1：启用
     */
    @TableField(USEFLG)
    private Integer useFlg;
    
    /**
     * 备注
     */
    @TableField(MEMO)
    private String memo;
    
    /**
     * 创建人
     */
    @TableField(CREATOR)
    private String creator;
    
    /**
     * 修改人
     */
    @TableField(EDITOR)
    private String editor;
    
    /**
     * 创建时间
     */
    @TableField(CREATEDTIME)
    private Date createdTime;
    
    /**
     * 更新时间
     */
    @TableField(UPDATEDTIME)
    private Date updatedTime;
    
    /**
     * 规格排序
     */
    @TableField(SORT)
    private Integer sort;
    
    /**
     * 规格迁移前产品主键
     */
    @TableField(LASTPRODUCTID)
    private Integer lastProductId;



    /**
     * 主键 产品ID 自增长
     */
    public static final String ID = "id";

    /**
     * 产品ID，bus_productMaster-->id
     */
    public static final String PRODUCTID = "productId";

    /**
     * 厂商内部编码
     */
    public static final String INSIDECODEPROSPEC = "insideCodeProspec";

    /**
     * 规格型号，暂存字符
     */
    public static final String SPECNAME = "specName";

    /**
     * 规格描述：富文本格式
     */
    public static final String SPECNAMEDESC = "specNameDesc";

    /**
     * 二级规格型号：辅助属性
     */
    public static final String SPECNAMEEXT = "specNameExt";

    /**
     * 产品俗名
     */
    public static final String PRODUCTPOPULARNAME = "productpopularName";

    /**
     * 包装方式，暂存字符
     */
    public static final String PACKNAME = "packName";

    /**
     * 销售单位，暂存字符
     */
    public static final String SALESUNIT = "salesUnit";

    /**
     * 是否设置销售单位为默认管理单位 0否  1是
     */
    public static final String DEFAULTSALESUNIT = "defaultSalesUnit";

    /**
     * 最小使用单位（库存单位），暂存字符
     */
    public static final String MINUSEUNIT = "minUseunit";

    /**
     * 库存/销售单位换算
     */
    public static final String STOCKVSSALE = "stockvssale";

    /**
     * 最小单位
     */
    public static final String SMALLUNIT = "smallUnit";

    /**
     * 是否设置最小单位为默认管理单位 0否  1是
     */
    public static final String DEFAULTSMALLUNIT = "defaultSmallUnit";

    /**
     * 最小单位/销售单位 换算
     */
    public static final String SMALLCONVERSION = "smallConversion";

    /**
     * 市场参考售价
     */
    public static final String REFERENCEPRICEI = "referencePricei";

    /**
     * 市场参考售价2
     */
    public static final String REFERENCEPRICEII = "referencePriceii";

    /**
     * 税率
     */
    public static final String TAXI = "taxi";

    /**
     * 税率2
     */
    public static final String TAXII = "taxii";

    /**
     * 保质期
     */
    public static final String QUALITYPREIOD = "qualityPreiod";

    /**
     * 预留1
     */
    public static final String RESERVEI = "reservei";

    /**
     * 预留2
     */
    public static final String RESERVEII = "reserveii";

    /**
     * 预留3
     */
    public static final String RESERVEIII = "reserveiii";

    /**
     * 预留4
     */
    public static final String RESERVEIV = "reserveiv";

    /**
     * 预留5
     */
    public static final String RESERVEV = "reservev";

    /**
     * 预留6
     */
    public static final String RESERVEVI = "reservevi";

    /**
     * 审核状态：0：创建，1：待审核，2：已审核，3：驳回，4：关闭
     */
    public static final String APPSTATUS = "appStatus";

    /**
     * 序号：显示排序
     */
    public static final String ROWNUM = "rownum";

    /**
     * 状态 0：禁用 1：启用
     */
    public static final String USEFLG = "useFlg";

    /**
     * 备注
     */
    public static final String MEMO = "memo";

    /**
     * 创建人
     */
    public static final String CREATOR = "creator";

    /**
     * 修改人
     */
    public static final String EDITOR = "editor";

    /**
     * 创建时间
     */
    public static final String CREATEDTIME = "createdTime";

    /**
     * 更新时间
     */
    public static final String UPDATEDTIME = "updatedTime";

    /**
     * 规格排序
     */
    public static final String SORT = "sort";

    /**
     * 规格迁移前产品主键
     */
    public static final String LASTPRODUCTID = "lastProductId";


}
