package com.jarvis.dataCenter.entity.prod;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.jarvis.lib.common.mybatisplus.entity.AbstractEntity;
import lombok.Data;

import java.util.Date;
/**
 * <p>
 * 售后订单详情表 ENTITY
 * </p>
 *
 * @author jinzhaopo
 * @since 2019-10-29
 */
@Data
@TableName("cs_order_detail")
public class CsOrderDetailEntity extends AbstractEntity {

    private static final long serialVersionUID = 1L;
    
    /**
     * 售后详情ID
     */
    @TableId(value = CS_DETAIL_ID, type = IdType.AUTO)
    private Integer csDetailId;
    
    /**
     * 售后单号
     */
    @TableField(CS_ORDER_CODE)
    private String csOrderCode;
    
    /**
     * 申请数量
     */
    @TableField(APPLY_CNT)
    private Integer applyCnt;
    
    /**
     * 申请类型：0请选择；1仅退货；2仅退款；3退货退款；4换货；5补发货；6取消
     */
    @TableField(APPLY_TYPE)
    private Integer applyType;
    
    /**
     * 申请原因：0请选择；1质量问题；2收到商品少件；3发错货；4不想要/买错；5其它；6卖家缺货
     */
    @TableField(APPLY_REASON)
    private Integer applyReason;
    
    /**
     * SKU编号
     */
    @TableField(SKU_CODE)
    private String skuCode;
    
    /**
     * 产品中文名
     */
    @TableField(PRODUCT_NAME_CN)
    private String productNameCn;
    
    /**
     * 规格名称
     */
    @TableField(SPEC_NAME)
    private String specName;
    
    /**
     * 子规格名称
     */
    @TableField(SPEC_NAME_EXT)
    private String specNameExt;
    
    /**
     * 中文品牌名称
     */
    @TableField(BRAND_NAME_CN)
    private String brandNameCn;
    
    /**
     * 英文品牌名称
     */
    @TableField(BRAND_NAME_EN)
    private String brandNameEn;
    
    /**
     * 销售单位
     */
    @TableField(SALE_UNIT)
    private String saleUnit;
    
    /**
     * 关联仓库：-1总仓发货
     */
    @TableField(WHS_REL)
    private String whsRel;
    
    /**
     * 发货数量
     */
    @TableField(DELIVERY_CNT)
    private Integer deliveryCnt;
    
    /**
     * 实拍图片
     */
    @TableField(IMGS_URL)
    private String imgsUrl;
    
    /**
     * 描述
     */
    @TableField(DESCRIPTION)
    private String description;
    
    /**
     * 备注
     */
    @TableField(REMARK)
    private String remark;
    
    /**
     * 客服内部备注
     */
    @TableField(INTERNAL_REMARK)
    private String internalRemark;
    
    /**
     * 创建人
     */
    @TableField(CREATOR)
    private String creator;
    
    /**
     * 修改人
     */
    @TableField(EDITOR)
    private String editor;
    
    /**
     * 创建时间
     */
    @TableField(CREATED_TIME)
    private Date createdTime;
    
    /**
     * 更新时间
     */
    @TableField(UPDATED_TIME)
    private Date updatedTime;



    /**
     * 售后详情ID
     */
    public static final String CS_DETAIL_ID = "cs_detail_id";

    /**
     * 售后单号
     */
    public static final String CS_ORDER_CODE = "cs_order_code";

    /**
     * 申请数量
     */
    public static final String APPLY_CNT = "apply_cnt";

    /**
     * 申请类型：0请选择；1仅退货；2仅退款；3退货退款；4换货；5补发货；6取消
     */
    public static final String APPLY_TYPE = "apply_type";

    /**
     * 申请原因：0请选择；1质量问题；2收到商品少件；3发错货；4不想要/买错；5其它；6卖家缺货
     */
    public static final String APPLY_REASON = "apply_reason";

    /**
     * SKU编号
     */
    public static final String SKU_CODE = "sku_code";

    /**
     * 产品中文名
     */
    public static final String PRODUCT_NAME_CN = "product_name_cn";

    /**
     * 规格名称
     */
    public static final String SPEC_NAME = "spec_name";

    /**
     * 子规格名称
     */
    public static final String SPEC_NAME_EXT = "spec_name_ext";

    /**
     * 中文品牌名称
     */
    public static final String BRAND_NAME_CN = "brand_name_cn";

    /**
     * 英文品牌名称
     */
    public static final String BRAND_NAME_EN = "brand_name_en";

    /**
     * 销售单位
     */
    public static final String SALE_UNIT = "sale_unit";

    /**
     * 关联仓库：-1总仓发货
     */
    public static final String WHS_REL = "whs_rel";

    /**
     * 发货数量
     */
    public static final String DELIVERY_CNT = "delivery_cnt";

    /**
     * 实拍图片
     */
    public static final String IMGS_URL = "imgs_url";

    /**
     * 描述
     */
    public static final String DESCRIPTION = "description";

    /**
     * 备注
     */
    public static final String REMARK = "remark";

    /**
     * 客服内部备注
     */
    public static final String INTERNAL_REMARK = "internal_remark";

    /**
     * 创建人
     */
    public static final String CREATOR = "creator";

    /**
     * 修改人
     */
    public static final String EDITOR = "editor";

    /**
     * 创建时间
     */
    public static final String CREATED_TIME = "created_time";

    /**
     * 更新时间
     */
    public static final String UPDATED_TIME = "updated_time";


}
