package com.jarvis.dataCenter.entity.prod;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.jarvis.lib.common.mybatisplus.entity.AbstractEntity;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;
/**
 * <p>
 * 售后订单表 ENTITY
 * </p>
 *
 * @author jinzhaopo
 * @since 2019-10-29
 */
@Data
@TableName("cs_order")
public class CsOrderEntity extends AbstractEntity {

    private static final long serialVersionUID = 1L;
    
    /**
     * 售后ID
     */
    @TableId(value = CS_ID, type = IdType.AUTO)
    private Integer csId;
    
    /**
     * 售后单号
     */
    @TableField(CS_ORDER_CODE)
    private String csOrderCode;
    
    /**
     * 采购单号
     */
    @TableField(PO_ORDER_CODE)
    private String poOrderCode;
    
    /**
     * 销售单号
     */
    @TableField(SO_ORDER_CODE)
    private String soOrderCode;
    
    /**
     * 发货单号
     */
    @TableField(DO_ORDER_CODE)
    private String doOrderCode;
    
    /**
     * 草稿单号
     */
    @TableField(DF_ORDER_CODE)
    private String dfOrderCode;
    
    /**
     * 换货商品价值
     */
    @TableField(BARTER_VALUE)
    private BigDecimal barterValue;
    
    /**
     * 退货单号
     */
    @TableField(R_ORDER_CODE)
    private String rOrderCode;
    
    /**
     * 退款单号
     */
    @TableField(RM_ORDER_CODE)
    private String rmOrderCode;
    
    /**
     * 缺货编号
     */
    @TableField(STOCKOUT_CODE)
    private String stockoutCode;
    
    /**
     * 售后单类型：0待收货；1关闭缺货记录；2待处理；3已完成
     */
    @TableField(CS_TYPE)
    private Integer csType;
    
    /**
     * 售后状态：0售后待审核；1售后处理中；2售后关闭；3售后完成
     */
    @TableField(STATUS)
    private Integer status;
    
    /**
     * 收货机构ID
     */
    @TableField(AGENCY_ID)
    private Integer agencyId;
    
    /**
     * 收货机构名称
     */
    @TableField(AGENCY_NAME)
    private String agencyName;
    
    /**
     * 收货机构简称
     */
    @TableField(AGENCY_SHORT_NAME)
    private String agencyShortName;
    
    /**
     * 供应商ID
     */
    @TableField(SUPPLIER_ID)
    private Integer supplierId;
    
    /**
     * 供应商名称
     */
    @TableField(SUPPLIER_NAME)
    private String supplierName;
    
    /**
     * 供应商简称
     */
    @TableField(SUPPLIER_SHORT_NAME)
    private String supplierShortName;
    
    /**
     * 创建人
     */
    @TableField(CREATOR)
    private String creator;
    
    /**
     * 修改人
     */
    @TableField(EDITOR)
    private String editor;
    
    /**
     * 创建时间
     */
    @TableField(CREATED_TIME)
    private Date createdTime;
    
    /**
     * 更新时间
     */
    @TableField(UPDATED_TIME)
    private Date updatedTime;



    /**
     * 售后ID
     */
    public static final String CS_ID = "cs_id";

    /**
     * 售后单号
     */
    public static final String CS_ORDER_CODE = "cs_order_code";

    /**
     * 采购单号
     */
    public static final String PO_ORDER_CODE = "po_order_code";

    /**
     * 销售单号
     */
    public static final String SO_ORDER_CODE = "so_order_code";

    /**
     * 发货单号
     */
    public static final String DO_ORDER_CODE = "do_order_code";

    /**
     * 草稿单号
     */
    public static final String DF_ORDER_CODE = "df_order_code";

    /**
     * 换货商品价值
     */
    public static final String BARTER_VALUE = "barter_value";

    /**
     * 退货单号
     */
    public static final String R_ORDER_CODE = "r_order_code";

    /**
     * 退款单号
     */
    public static final String RM_ORDER_CODE = "rm_order_code";

    /**
     * 缺货编号
     */
    public static final String STOCKOUT_CODE = "stockout_code";

    /**
     * 售后单类型：0待收货；1关闭缺货记录；2待处理；3已完成
     */
    public static final String CS_TYPE = "cs_type";

    /**
     * 售后状态：0售后待审核；1售后处理中；2售后关闭；3售后完成
     */
    public static final String STATUS = "status";

    /**
     * 收货机构ID
     */
    public static final String AGENCY_ID = "agency_id";

    /**
     * 收货机构名称
     */
    public static final String AGENCY_NAME = "agency_name";

    /**
     * 收货机构简称
     */
    public static final String AGENCY_SHORT_NAME = "agency_short_name";

    /**
     * 供应商ID
     */
    public static final String SUPPLIER_ID = "supplier_id";

    /**
     * 供应商名称
     */
    public static final String SUPPLIER_NAME = "supplier_name";

    /**
     * 供应商简称
     */
    public static final String SUPPLIER_SHORT_NAME = "supplier_short_name";

    /**
     * 创建人
     */
    public static final String CREATOR = "creator";

    /**
     * 修改人
     */
    public static final String EDITOR = "editor";

    /**
     * 创建时间
     */
    public static final String CREATED_TIME = "created_time";

    /**
     * 更新时间
     */
    public static final String UPDATED_TIME = "updated_time";


}
