package com.jarvis.dataCenter.entity.prod;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.jarvis.lib.common.mybatisplus.entity.AbstractEntity;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;
/**
 * <p>
 * 优惠券明细表 ENTITY
 * </p>
 *
 * @author jinzhaopo
 * @since 2019-10-23
 */
@Data
@TableName("po_coupondetail")
public class PoCoupondetailEntity extends AbstractEntity {

    private static final long serialVersionUID = 1L;
    
    /**
     * 主键 自增长
     */
    @TableId(value = ID, type = IdType.AUTO)
    private Integer id;
    
    /**
     * 优惠券主id
     */
    @TableField(COUNPONID)
    private Integer counponid;
    
    /**
     * 集团id
     */
    @TableField(GROUPID)
    private Integer groupid;
    
    /**
     * 诊所id
     */
    @TableField(CHILDID)
    private Integer childid;
    
    /**
     * 销售主单编号
     */
    @TableField(ORDERMASTERCODE)
    private String orderMasterCode;
    
    /**
     * 实际立减金额
     */
    @TableField(DEDUCTIONACT)
    private BigDecimal deductionAct;
    
    /**
     * 优惠券来源 1：正常 2：售后返回
     */
    @TableField(COUPONSOURCE)
    private Integer couponSource;
    
    /**
     * 返券来源单号
     */
    @TableField(SOURCENUMBER)
    private String sourceNumber;
    
    /**
     * 使用状态 0：未使用 1：已冻结 2：已使用
     */
    @TableField(STATUS)
    private Integer status;
    
    /**
     * 状态 0：禁用 1：启用
     */
    @TableField(USEFLG)
    private Integer useFlg;
    
    /**
     * 备注
     */
    @TableField(MEMO)
    private String memo;
    
    /**
     * 创建人
     */
    @TableField(CREATOR)
    private String creator;
    
    /**
     * 修改人
     */
    @TableField(EDITOR)
    private String editor;
    
    /**
     * 创建时间
     */
    @TableField(CREATEDTIME)
    private Date createdTime;
    
    /**
     * 更新时间
     */
    @TableField(UPDATEDTIME)
    private Date updatedTime;
    
    /**
     * 结束时间
     */
    @TableField(ENDTIME)
    private Date endTime;
    
    /**
     * 起始时间
     */
    @TableField(BEGINTIME)
    private Date beginTime;



    /**
     * 主键 自增长
     */
    public static final String ID = "id";

    /**
     * 优惠券主id
     */
    public static final String COUNPONID = "counponid";

    /**
     * 集团id
     */
    public static final String GROUPID = "groupid";

    /**
     * 诊所id
     */
    public static final String CHILDID = "childid";

    /**
     * 销售主单编号
     */
    public static final String ORDERMASTERCODE = "orderMasterCode";

    /**
     * 实际立减金额
     */
    public static final String DEDUCTIONACT = "deductionAct";

    /**
     * 优惠券来源 1：正常 2：售后返回
     */
    public static final String COUPONSOURCE = "couponSource";

    /**
     * 返券来源单号
     */
    public static final String SOURCENUMBER = "sourceNumber";

    /**
     * 使用状态 0：未使用 1：已冻结 2：已使用
     */
    public static final String STATUS = "status";

    /**
     * 状态 0：禁用 1：启用
     */
    public static final String USEFLG = "useFlg";

    /**
     * 备注
     */
    public static final String MEMO = "memo";

    /**
     * 创建人
     */
    public static final String CREATOR = "creator";

    /**
     * 修改人
     */
    public static final String EDITOR = "editor";

    /**
     * 创建时间
     */
    public static final String CREATEDTIME = "createdTime";

    /**
     * 更新时间
     */
    public static final String UPDATEDTIME = "updatedTime";

    /**
     * 结束时间
     */
    public static final String ENDTIME = "endTime";

    /**
     * 起始时间
     */
    public static final String BEGINTIME = "beginTime";


}
