package com.jarvis.dataCenter.entity.prod;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.jarvis.lib.common.mybatisplus.entity.AbstractEntity;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;
/**
 * <p>
 * 优惠券主表 ENTITY
 * </p>
 *
 * @author jinzhaopo
 * @since 2019-10-23
 */
@Data
@TableName("po_couponmaster")
public class PoCouponmasterEntity extends AbstractEntity {

    private static final long serialVersionUID = 1L;
    
    /**
     * 主键 自增长
     */
    @TableId(value = ID, type = IdType.AUTO)
    private Integer id;
    
    /**
     * 优惠券名称
     */
    @TableField(COUPONNAME)
    private String couponName;
    
    /**
     * 优惠券显示名称
     */
    @TableField(COUPONDISPLAYNAME)
    private String couponDisplayName;
    
    /**
     * 满额条件
     */
    @TableField(SATISFYCONDITION)
    private BigDecimal satisfyCondition;
    
    /**
     * 立减金额
     */
    @TableField(DEDUCTION)
    private BigDecimal deduction;
    
    /**
     * 是否新用户 0：否 1：是
     */
    @TableField(IS_NEW)
    private Integer isNew;
    
    /**
     * 指定商品
     */
    @TableField(SKUCODE)
    private String skucode;
    
    @TableField(PUBCODE)
    private String pubcode;
    
    /**
     * 0：全场券 1：公共券2：特殊券
     */
    @TableField(CODETYPE)
    private Integer codetype;
    
    /**
     * 创建时间
     */
    @TableField(CREATEDTIME)
    private Date createdTime;
    
    /**
     * 更新时间
     */
    @TableField(UPDATEDTIME)
    private Date updatedTime;
    
    /**
     * 活动BannerPc
     */
    @TableField(BANNERPC)
    private String bannerPc;
    
    /**
     * 活动BannerWap
     */
    @TableField(BANNERWAP)
    private String bannerWap;
    
    /**
     * 活动链接Pc
     */
    @TableField(URLPC)
    private String urlPc;
    
    /**
     * 活动链接Wap
     */
    @TableField(URLWAP)
    private String urlWap;
    
    /**
     * 活动标识符
     */
    @TableField(URLHASH)
    private String urlhash;
    
    /**
     * 1：按固定有效时间；2：按发放时间
     */
    @TableField(TIMETYPE)
    private Integer timeType;
    
    /**
     * 按发放时间天数
     */
    @TableField(LOCALTIME)
    private BigDecimal localTime;
    
    /**
     * 状态 0：禁用 1：启用
     */
    @TableField(USEFLG)
    private Integer useFlg;
    
    /**
     * 备注
     */
    @TableField(MEMO)
    private String memo;
    
    /**
     * 创建人
     */
    @TableField(CREATOR)
    private String creator;
    
    /**
     * 修改人
     */
    @TableField(EDITOR)
    private String editor;
    
    @TableField(ENDTIME)
    private Date endTime;
    
    @TableField(BEGINTIME)
    private Date beginTime;



    /**
     * 主键 自增长
     */
    public static final String ID = "id";

    /**
     * 优惠券名称
     */
    public static final String COUPONNAME = "couponName";

    /**
     * 优惠券显示名称
     */
    public static final String COUPONDISPLAYNAME = "couponDisplayName";

    /**
     * 满额条件
     */
    public static final String SATISFYCONDITION = "satisfyCondition";

    /**
     * 立减金额
     */
    public static final String DEDUCTION = "deduction";

    /**
     * 是否新用户 0：否 1：是
     */
    public static final String IS_NEW = "is_new";

    /**
     * 指定商品
     */
    public static final String SKUCODE = "skucode";

    /**
     * 
     */
    public static final String PUBCODE = "pubcode";

    /**
     * 0：全场券 1：公共券2：特殊券
     */
    public static final String CODETYPE = "codetype";

    /**
     * 创建时间
     */
    public static final String CREATEDTIME = "createdTime";

    /**
     * 更新时间
     */
    public static final String UPDATEDTIME = "updatedTime";

    /**
     * 活动BannerPc
     */
    public static final String BANNERPC = "bannerPc";

    /**
     * 活动BannerWap
     */
    public static final String BANNERWAP = "bannerWap";

    /**
     * 活动链接Pc
     */
    public static final String URLPC = "urlPc";

    /**
     * 活动链接Wap
     */
    public static final String URLWAP = "urlWap";

    /**
     * 活动标识符
     */
    public static final String URLHASH = "urlhash";

    /**
     * 1：按固定有效时间；2：按发放时间
     */
    public static final String TIMETYPE = "timeType";

    /**
     * 按发放时间天数
     */
    public static final String LOCALTIME = "localTime";

    /**
     * 状态 0：禁用 1：启用
     */
    public static final String USEFLG = "useFlg";

    /**
     * 备注
     */
    public static final String MEMO = "memo";

    /**
     * 创建人
     */
    public static final String CREATOR = "creator";

    /**
     * 修改人
     */
    public static final String EDITOR = "editor";

    /**
     * 
     */
    public static final String ENDTIME = "endTime";

    /**
     * 
     */
    public static final String BEGINTIME = "beginTime";


}
