package com.jarvis.dataCenter.entity.prod;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.jarvis.lib.common.mybatisplus.entity.AbstractEntity;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;
/**
 * <p>
 *  ENTITY
 * </p>
 *
 * @author jinzhaopo
 * @since 2019-10-22
 */
@Data
@TableName("po_ordermaster")
public class PoOrdermasterEntity extends AbstractEntity {

    private static final long serialVersionUID = 1L;
    
    /**
     * 自增长
     */
    @TableId(value = ID, type = IdType.AUTO)
    private Integer id;
    
    /**
     * PO+2位年+2位月+2位日+4位流水
     */
    @TableField(ORDERMASTERCODE)
    private String orderMasterCode;
    
    /**
     * 订单名称
     */
    @TableField(ORDERMASTERNAME)
    private String orderMasterName;
    
    /**
     * 下单机构id
     */
    @TableField(AGENCYID)
    private Integer agencyId;
    
    /**
     * 采购订单状态 20未支付，30已支付，31部分支付，35已取消，40已处理，41部分处理，50已发货，51部分发货，61部分收货，70已完成
     */
    @TableField(ORDERSTATUS)
    private Integer orderStatus;
    
    /**
     * 审核时间
     */
    @TableField(REVIEWTIME)
    private Date reviewTime;
    
    /**
     * 审核人
     */
    @TableField(REVIEWER)
    private String reviewer;
    
    /**
     * 驳回原因
     */
    @TableField(REJECTION)
    private String rejection;
    
    /**
     * 总金额 整笔采购订单，金额总计
     */
    @TableField(TOTALAMOUNT)
    private BigDecimal totalAmount;
    
    /**
     * 商品总计种类 整笔采购订单，sku的计数，不重复
     */
    @TableField(SKUKINDCNT)
    private Integer skuKindCnt;
    
    /**
     * 商品总计数量 整笔采购订单，订货数量汇总
     */
    @TableField(SKUCNT)
    private Integer skuCnt;
    
    /**
     * 备注
     */
    @TableField(MEMO)
    private String memo;
    
    /**
     * 是否紧急 0:否 1:是
     */
    @TableField(ISURGENT)
    private Integer isUrgent;
    
    /**
     * 收发票地址id
     */
    @TableField(AGENCYADDRESSID)
    private Integer agencyAddressId;
    
    /**
     * 国家ID
     */
    @TableField(COUNTRYID)
    private Integer countryId;
    
    /**
     * 国家名称
     */
    @TableField(COUNTRYNAME)
    private String countryName;
    
    /**
     * 省份ID
     */
    @TableField(PROVINCEID)
    private Integer provinceId;
    
    /**
     * 省份名称
     */
    @TableField(PROVINCENAME)
    private String provinceName;
    
    /**
     * 城市ID
     */
    @TableField(CITYID)
    private Integer cityId;
    
    /**
     * 城市名称
     */
    @TableField(CITYNAME)
    private String cityName;
    
    /**
     * 区ID
     */
    @TableField(COUNTYID)
    private Integer countyId;
    
    /**
     * 区名称
     */
    @TableField(COUNTYNAME)
    private String countyName;
    
    /**
     * 详细地址
     */
    @TableField(ADDRESS)
    private String address;
    
    /**
     * 收货人姓名
     */
    @TableField(DELIVERNAME)
    private String deliverName;
    
    /**
     * 收货人手机
     */
    @TableField(DELIVERMOBILE)
    private String deliverMobile;
    
    /**
     * 固定电话
     */
    @TableField(DELIVERPHONE)
    private String deliverPhone;
    
    /**
     * 邮编1
     */
    @TableField(POSTCODE)
    private String postCode;
    
    /**
     * 经度
     */
    @TableField(LONGITUDE)
    private String longitude;
    
    /**
     * 纬度
     */
    @TableField(LATITUDE)
    private String latitude;
    
    /**
     * 来源类型 1.人工创建 2.下级机构上推 3.历史订单复制 4.垃圾草稿复制 5.赠品 6.换货
     */
    @TableField(SOURCETYP)
    private Integer sourceTyp;
    
    /**
     * 订单提交人
     */
    @TableField(COMMITOR)
    private String commitor;
    
    /**
     * 订单提交时间
     */
    @TableField(COMMITTIME)
    private Date commitTime;
    
    /**
     * 创建人
     */
    @TableField(CREATOR)
    private String creator;
    
    /**
     * 修改人
     */
    @TableField(EDITOR)
    private String editor;
    
    /**
     * 创建时间
     */
    @TableField(CREATEDTIME)
    private Date createdTime;
    
    /**
     * 更新时间
     */
    @TableField(UPDATEDTIME)
    private Date updatedTime;
    
    /**
     * 发票类型：po_receipt->com_system
     */
    @TableField(RECEIPT)
    private String receipt;
    
    /**
     * 优惠金额
     */
    @TableField(DELPROMOTION)
    private BigDecimal delPromotion;
    
    /**
     * 应付金额
     */
    @TableField(REALAMOUNT)
    private BigDecimal realAmount;
    
    /**
     * 账期金额
     */
    @TableField(CREDITAMOUT)
    private BigDecimal creditAmout;
    
    /**
     * 草稿补货类型 0采购草稿 1补货草稿
     */
    @TableField(REPLENISHMENTTYPE)
    private Integer replenishmentType;
    
    /**
     * 运费金额
     */
    @TableField(FREIGHT)
    private BigDecimal freight;
    
    /**
     * 补货订单是否关联采购订单：0不关联；1关联
     */
    @TableField(ISRELATION)
    private Integer isRelation;
    
    /**
     * 活动优惠
     */
    @TableField(ACTIVEPRICE)
    private BigDecimal activePrice;
    
    /**
     * 换货商品价值
     */
    @TableField(BARTER_VALUE)
    private BigDecimal barterValue;
    
    /**
     * 商品优惠备注
     */
    @TableField(PROMOTIONSNAPSHOT)
    private String promotionSnapshot;
    
    /**
     * 满返活动备注
     */
    @TableField(ACTIVESNAPSHOT)
    private String activeSnapshot;
    
    /**
     * 备注状态：0未创建；1处理中；2已完成
     */
    @TableField(REMARK_STATUS)
    private Integer remarkStatus;



    /**
     * 自增长
     */
    public static final String ID = "id";

    /**
     * PO+2位年+2位月+2位日+4位流水
     */
    public static final String ORDERMASTERCODE = "orderMasterCode";

    /**
     * 订单名称
     */
    public static final String ORDERMASTERNAME = "orderMasterName";

    /**
     * 下单机构id
     */
    public static final String AGENCYID = "agencyId";

    /**
     * 采购订单状态 20未支付，30已支付，31部分支付，35已取消，40已处理，41部分处理，50已发货，51部分发货，61部分收货，70已完成
     */
    public static final String ORDERSTATUS = "orderStatus";

    /**
     * 审核时间
     */
    public static final String REVIEWTIME = "reviewTime";

    /**
     * 审核人
     */
    public static final String REVIEWER = "reviewer";

    /**
     * 驳回原因
     */
    public static final String REJECTION = "rejection";

    /**
     * 总金额 整笔采购订单，金额总计
     */
    public static final String TOTALAMOUNT = "totalAmount";

    /**
     * 商品总计种类 整笔采购订单，sku的计数，不重复
     */
    public static final String SKUKINDCNT = "skuKindCnt";

    /**
     * 商品总计数量 整笔采购订单，订货数量汇总
     */
    public static final String SKUCNT = "skuCnt";

    /**
     * 备注
     */
    public static final String MEMO = "memo";

    /**
     * 是否紧急 0:否 1:是
     */
    public static final String ISURGENT = "isUrgent";

    /**
     * 收发票地址id
     */
    public static final String AGENCYADDRESSID = "agencyAddressId";

    /**
     * 国家ID
     */
    public static final String COUNTRYID = "countryId";

    /**
     * 国家名称
     */
    public static final String COUNTRYNAME = "countryName";

    /**
     * 省份ID
     */
    public static final String PROVINCEID = "provinceId";

    /**
     * 省份名称
     */
    public static final String PROVINCENAME = "provinceName";

    /**
     * 城市ID
     */
    public static final String CITYID = "cityId";

    /**
     * 城市名称
     */
    public static final String CITYNAME = "cityName";

    /**
     * 区ID
     */
    public static final String COUNTYID = "countyId";

    /**
     * 区名称
     */
    public static final String COUNTYNAME = "countyName";

    /**
     * 详细地址
     */
    public static final String ADDRESS = "address";

    /**
     * 收货人姓名
     */
    public static final String DELIVERNAME = "deliverName";

    /**
     * 收货人手机
     */
    public static final String DELIVERMOBILE = "deliverMobile";

    /**
     * 固定电话
     */
    public static final String DELIVERPHONE = "deliverPhone";

    /**
     * 邮编1
     */
    public static final String POSTCODE = "postCode";

    /**
     * 经度
     */
    public static final String LONGITUDE = "longitude";

    /**
     * 纬度
     */
    public static final String LATITUDE = "latitude";

    /**
     * 来源类型 1.人工创建 2.下级机构上推 3.历史订单复制 4.垃圾草稿复制 5.赠品 6.换货
     */
    public static final String SOURCETYP = "sourceTyp";

    /**
     * 订单提交人
     */
    public static final String COMMITOR = "commitor";

    /**
     * 订单提交时间
     */
    public static final String COMMITTIME = "commitTime";

    /**
     * 创建人
     */
    public static final String CREATOR = "creator";

    /**
     * 修改人
     */
    public static final String EDITOR = "editor";

    /**
     * 创建时间
     */
    public static final String CREATEDTIME = "createdTime";

    /**
     * 更新时间
     */
    public static final String UPDATEDTIME = "updatedTime";

    /**
     * 发票类型：po_receipt->com_system
     */
    public static final String RECEIPT = "receipt";

    /**
     * 优惠金额
     */
    public static final String DELPROMOTION = "delPromotion";

    /**
     * 应付金额
     */
    public static final String REALAMOUNT = "realAmount";

    /**
     * 账期金额
     */
    public static final String CREDITAMOUT = "creditAmout";

    /**
     * 草稿补货类型 0采购草稿 1补货草稿
     */
    public static final String REPLENISHMENTTYPE = "replenishmentType";

    /**
     * 运费金额
     */
    public static final String FREIGHT = "freight";

    /**
     * 补货订单是否关联采购订单：0不关联；1关联
     */
    public static final String ISRELATION = "isRelation";

    /**
     * 活动优惠
     */
    public static final String ACTIVEPRICE = "activePrice";

    /**
     * 换货商品价值
     */
    public static final String BARTER_VALUE = "barter_value";

    /**
     * 商品优惠备注
     */
    public static final String PROMOTIONSNAPSHOT = "promotionSnapshot";

    /**
     * 满返活动备注
     */
    public static final String ACTIVESNAPSHOT = "activeSnapshot";

    /**
     * 备注状态：0未创建；1处理中；2已完成
     */
    public static final String REMARK_STATUS = "remark_status";


}
