package com.jarvis.dataCenter.entity.prod;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.jarvis.lib.common.mybatisplus.entity.AbstractEntity;
import lombok.Data;

import java.util.Date;
/**
 * <p>
 * 供应商主表 ENTITY
 * </p>
 *
 * @author jinzhaopo
 * @since 2019-10-22
 */
@Data
@TableName("po_supliersmaster")
public class PoSupliersmasterEntity extends AbstractEntity {

    private static final long serialVersionUID = 1L;
    
    /**
     * 自增长
     */
    @TableId(value = ID, type = IdType.AUTO)
    private Integer id;
    
    /**
     * 供应商抬头
     */
    @TableField(SUPLIERSNAME)
    private String supliersName;
    
    /**
     * 供应商抬头(简称) 抬头简称，供显示供应商抬头用
     */
    @TableField(SUPLIERSSHORTNAME)
    private String supliersShortName;
    
    /**
     * 供应商类型 基础档案设置 com_sysItem->itemGpCode = 'po_supliers_typ'
     */
    @TableField(SUPLIERSTYPE)
    private String supliersType;
    
    /**
     * 上级供应商id
     */
    @TableField(PARENTSUPLIERSID)
    private Integer parentsupliersId;
    
    /**
     * 供应商编号
     */
    @TableField(SUPLIERSCODE)
    private String supliersCode;
    
    /**
     * 供应商内部编号
     */
    @TableField(INSIDECODE)
    private String insideCode;
    
    /**
     * 供应商等级
     */
    @TableField(LEVEL)
    private Integer level;
    
    /**
     * 是否使用平台仓库 0：否 1：是
     */
    @TableField(USE_WHS_SERVICE)
    private Integer useWhsService;
    
    /**
     * 供应商系统类型，基础档案设置
     */
    @TableField(SUPLIERSSYSTYPE)
    private String supliersSysType;
    
    /**
     * 法人姓名
     */
    @TableField(LEGALPERSON)
    private String legalPerson;
    
    /**
     * 法人身份证
     */
    @TableField(IDCARD)
    private String idCard;
    
    /**
     * 国家ID
     */
    @TableField(COUNTRYID)
    private Integer countryId;
    
    /**
     * 国家名称
     */
    @TableField(COUNTRYNAME)
    private String countryName;
    
    /**
     * 省份ID
     */
    @TableField(PROVINCEID)
    private Integer provinceId;
    
    /**
     * 省份名称
     */
    @TableField(PROVINCENAME)
    private String provinceName;
    
    /**
     * 城市ID
     */
    @TableField(CITYID)
    private Integer cityId;
    
    /**
     * 城市名称
     */
    @TableField(CITYNAME)
    private String cityName;
    
    /**
     * 区ID
     */
    @TableField(COUNTYID)
    private Integer countyId;
    
    /**
     * 区名称
     */
    @TableField(COUNTYNAME)
    private String countyName;
    
    /**
     * 详细地址
     */
    @TableField(ADDRESS)
    private String address;
    
    /**
     * 邮编
     */
    @TableField(POSTCODE)
    private String postCode;
    
    /**
     * 经度
     */
    @TableField(LONGITUDE)
    private String longitude;
    
    /**
     * 纬度
     */
    @TableField(LATITUDE)
    private String latitude;
    
    /**
     * 是否标经纬度 0：否 1：是
     */
    @TableField(LONLATFLG)
    private Integer lonLatFlg;
    
    /**
     * 主联系人姓名
     */
    @TableField(CONTACTS)
    private String contacts;
    
    /**
     * 主联系人手机
     */
    @TableField(MOBILE)
    private String mobile;
    
    /**
     * 固定电话区号
     */
    @TableField(AREACODE)
    private String areaCode;
    
    /**
     * 固定电话
     */
    @TableField(TELPHONE)
    private String telPhone;
    
    /**
     * 主联系人邮箱
     */
    @TableField(MAIL)
    private String mail;
    
    /**
     * 传真区号
     */
    @TableField(FAXCODE)
    private String faxCode;
    
    /**
     * 传真电话
     */
    @TableField(FAXPHONE)
    private String faxPhone;
    
    /**
     * 税务登记证号
     */
    @TableField(TAXRCCODE)
    private String taxRCCode;
    
    /**
     * 组织机构代码证号,营业执照上的三证合一代码(做唯一校验)
     */
    @TableField(CREDITCODE)
    private String creditCode;
    
    /**
     * 成立日期
     */
    @TableField(ESTDATE)
    private Date estDate;
    
    /**
     * 营业执照编号
     */
    @TableField(BUSINESSLICCODE)
    private String businessLicCode;
    
    /**
     * 经营范围
     */
    @TableField(BUSINESSSCOPE)
    private String businessScope;
    
    /**
     * 注册日期 格式到年月日
     */
    @TableField(REGISTDATE)
    private Date registDate;
    
    /**
     * 注册结束日期 格式到年月日
     */
    @TableField(REGISTDATE_END)
    private Date registdateEnd;
    
    /**
     * 医疗器械经营许可证编号
     */
    @TableField(MEDICALCODE)
    private String Medicalcode;
    
    /**
     * 医疗器械经营范围
     */
    @TableField(MEDICALSCOPE)
    private String Medicalscope;
    
    /**
     * 注册开始日期 格式到年月日
     */
    @TableField(MEDICALSCOPEDATE_BEGIN)
    private Date medicalscopedateBegin;
    
    /**
     * 注册结束日期 格式到年月日
     */
    @TableField(MEDICALSCOPEDATE_END)
    private Date medicalscopedateEnd;
    
    /**
     * 附加服务
     */
    @TableField(ADDSERVICES)
    private String addServices;
    
    /**
     * 主要供货/服务地区
     */
    @TableField(SERVICEAREA)
    private String servicearea;
    
    /**
     * 三证合一证照 内部图片存放路径(主路径设置+相对路径)
     */
    @TableField(PHOTOMAIN)
    private String photoMain;
    
    /**
     * 税务登记证 内部图片存放路径
     */
    @TableField(PHOTOINFO1)
    private String photoInfo1;
    
    /**
     * 组织机构代码证 内部图片存放路径
     */
    @TableField(PHOTOINFO2)
    private String photoInfo2;
    
    /**
     * 营业执照信息 内部图片存放路径
     */
    @TableField(PHOTOINFO3)
    private String photoInfo3;
    
    /**
     * 医疗器械经营范围内信息 内部图片存放路径
     */
    @TableField(PHOTOINFO4)
    private String photoInfo4;
    
    /**
     * 预留1
     */
    @TableField(RESERVEI)
    private String reservei;
    
    /**
     * 预留2
     */
    @TableField(RESERVEII)
    private String reserveii;
    
    /**
     * 显示排序
     */
    @TableField(ROW_NUM)
    private Integer rowNum;
    
    /**
     * 状态 0：禁用(拉黑) 1：启用
     */
    @TableField(USEFLG)
    private Integer useFlg;
    
    /**
     * 备注
     */
    @TableField(MEMO)
    private String memo;
    
    /**
     * 创建人
     */
    @TableField(CREATOR)
    private String creator;
    
    /**
     * 修改人
     */
    @TableField(EDITOR)
    private String editor;
    
    /**
     * 创建时间
     */
    @TableField(CREATEDTIME)
    private Date createdTime;
    
    /**
     * 更新时间
     */
    @TableField(UPDATEDTIME)
    private Date updatedTime;
    
    /**
     * 定价方式 1分区定价 2客户分类定价 默认无
     */
    @TableField(PRICEOPT)
    private Integer priceOpt;
    
    /**
     * 是否线下由平台代收  1：是 0：否
     */
    @TableField(ISJWS)
    private Integer isjws;
    
    /**
     * 公司账户名
     */
    @TableField(COMPANYNAME)
    private String companyName;
    
    /**
     * 开户行
     */
    @TableField(BANK)
    private String bank;
    
    /**
     * 账号
     */
    @TableField(ACCNUM)
    private String accNum;
    
    /**
     * 供应商签约类型 0 签约 1 私有
     */
    @TableField(SUPLIERSIGNTYPE)
    private Integer suplierSignType;
    
    /**
     * 供应商来源：0线上供应商；1线下供应商
     */
    @TableField(SUPPLIER_SOURCE)
    private Integer supplierSource;



    /**
     * 自增长
     */
    public static final String ID = "id";

    /**
     * 供应商抬头
     */
    public static final String SUPLIERSNAME = "supliersName";

    /**
     * 供应商抬头(简称) 抬头简称，供显示供应商抬头用
     */
    public static final String SUPLIERSSHORTNAME = "supliersShortName";

    /**
     * 供应商类型 基础档案设置 com_sysItem->itemGpCode = 'po_supliers_typ'
     */
    public static final String SUPLIERSTYPE = "supliersType";

    /**
     * 上级供应商id
     */
    public static final String PARENTSUPLIERSID = "parentsupliersId";

    /**
     * 供应商编号
     */
    public static final String SUPLIERSCODE = "supliersCode";

    /**
     * 供应商内部编号
     */
    public static final String INSIDECODE = "insideCode";

    /**
     * 供应商等级
     */
    public static final String LEVEL = "level";

    /**
     * 是否使用平台仓库 0：否 1：是
     */
    public static final String USE_WHS_SERVICE = "use_whs_service";

    /**
     * 供应商系统类型，基础档案设置
     */
    public static final String SUPLIERSSYSTYPE = "supliersSysType";

    /**
     * 法人姓名
     */
    public static final String LEGALPERSON = "legalPerson";

    /**
     * 法人身份证
     */
    public static final String IDCARD = "idCard";

    /**
     * 国家ID
     */
    public static final String COUNTRYID = "countryId";

    /**
     * 国家名称
     */
    public static final String COUNTRYNAME = "countryName";

    /**
     * 省份ID
     */
    public static final String PROVINCEID = "provinceId";

    /**
     * 省份名称
     */
    public static final String PROVINCENAME = "provinceName";

    /**
     * 城市ID
     */
    public static final String CITYID = "cityId";

    /**
     * 城市名称
     */
    public static final String CITYNAME = "cityName";

    /**
     * 区ID
     */
    public static final String COUNTYID = "countyId";

    /**
     * 区名称
     */
    public static final String COUNTYNAME = "countyName";

    /**
     * 详细地址
     */
    public static final String ADDRESS = "address";

    /**
     * 邮编
     */
    public static final String POSTCODE = "postCode";

    /**
     * 经度
     */
    public static final String LONGITUDE = "longitude";

    /**
     * 纬度
     */
    public static final String LATITUDE = "latitude";

    /**
     * 是否标经纬度 0：否 1：是
     */
    public static final String LONLATFLG = "lonLatFlg";

    /**
     * 主联系人姓名
     */
    public static final String CONTACTS = "contacts";

    /**
     * 主联系人手机
     */
    public static final String MOBILE = "mobile";

    /**
     * 固定电话区号
     */
    public static final String AREACODE = "areaCode";

    /**
     * 固定电话
     */
    public static final String TELPHONE = "telPhone";

    /**
     * 主联系人邮箱
     */
    public static final String MAIL = "mail";

    /**
     * 传真区号
     */
    public static final String FAXCODE = "faxCode";

    /**
     * 传真电话
     */
    public static final String FAXPHONE = "faxPhone";

    /**
     * 税务登记证号
     */
    public static final String TAXRCCODE = "taxRCCode";

    /**
     * 组织机构代码证号,营业执照上的三证合一代码(做唯一校验)
     */
    public static final String CREDITCODE = "creditCode";

    /**
     * 成立日期
     */
    public static final String ESTDATE = "estDate";

    /**
     * 营业执照编号
     */
    public static final String BUSINESSLICCODE = "businessLicCode";

    /**
     * 经营范围
     */
    public static final String BUSINESSSCOPE = "businessScope";

    /**
     * 注册日期 格式到年月日
     */
    public static final String REGISTDATE = "registDate";

    /**
     * 注册结束日期 格式到年月日
     */
    public static final String REGISTDATE_END = "registDate_end";

    /**
     * 医疗器械经营许可证编号
     */
    public static final String MEDICALCODE = "Medicalcode";

    /**
     * 医疗器械经营范围
     */
    public static final String MEDICALSCOPE = "Medicalscope";

    /**
     * 注册开始日期 格式到年月日
     */
    public static final String MEDICALSCOPEDATE_BEGIN = "MedicalscopeDate_Begin";

    /**
     * 注册结束日期 格式到年月日
     */
    public static final String MEDICALSCOPEDATE_END = "MedicalscopeDate_End";

    /**
     * 附加服务
     */
    public static final String ADDSERVICES = "addServices";

    /**
     * 主要供货/服务地区
     */
    public static final String SERVICEAREA = "servicearea";

    /**
     * 三证合一证照 内部图片存放路径(主路径设置+相对路径)
     */
    public static final String PHOTOMAIN = "photoMain";

    /**
     * 税务登记证 内部图片存放路径
     */
    public static final String PHOTOINFO1 = "photoInfo1";

    /**
     * 组织机构代码证 内部图片存放路径
     */
    public static final String PHOTOINFO2 = "photoInfo2";

    /**
     * 营业执照信息 内部图片存放路径
     */
    public static final String PHOTOINFO3 = "photoInfo3";

    /**
     * 医疗器械经营范围内信息 内部图片存放路径
     */
    public static final String PHOTOINFO4 = "photoInfo4";

    /**
     * 预留1
     */
    public static final String RESERVEI = "reservei";

    /**
     * 预留2
     */
    public static final String RESERVEII = "reserveii";

    /**
     * 显示排序
     */
    public static final String ROW_NUM = "row_num";

    /**
     * 状态 0：禁用(拉黑) 1：启用
     */
    public static final String USEFLG = "useFlg";

    /**
     * 备注
     */
    public static final String MEMO = "memo";

    /**
     * 创建人
     */
    public static final String CREATOR = "creator";

    /**
     * 修改人
     */
    public static final String EDITOR = "editor";

    /**
     * 创建时间
     */
    public static final String CREATEDTIME = "createdTime";

    /**
     * 更新时间
     */
    public static final String UPDATEDTIME = "updatedTime";

    /**
     * 定价方式 1分区定价 2客户分类定价 默认无
     */
    public static final String PRICEOPT = "priceOpt";

    /**
     * 是否线下由平台代收  1：是 0：否
     */
    public static final String ISJWS = "isjws";

    /**
     * 公司账户名
     */
    public static final String COMPANYNAME = "companyName";

    /**
     * 开户行
     */
    public static final String BANK = "bank";

    /**
     * 账号
     */
    public static final String ACCNUM = "accNum";

    /**
     * 供应商签约类型 0 签约 1 私有
     */
    public static final String SUPLIERSIGNTYPE = "suplierSignType";

    /**
     * 供应商来源：0线上供应商；1线下供应商
     */
    public static final String SUPPLIER_SOURCE = "supplier_source";


}
