package com.jarvis.dataCenter.entity.prod;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.jarvis.lib.common.mybatisplus.entity.AbstractEntity;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;
/**
 * <p>
 *  ENTITY
 * </p>
 *
 * @author jinzhaopo
 * @since 2019-10-22
 */
@Data
@TableName("so_orderdetail")
public class SoOrderdetailEntity extends AbstractEntity {

    private static final long serialVersionUID = 1L;
    
    /**
     * 自增长
     */
    @TableId(value = ID, type = IdType.AUTO)
    private Integer id;
    
    /**
     * 销售订单编号
     */
    @TableField(ORDERMASTERCODE)
    private String orderMasterCode;
    
    /**
     * 发货单编号 SO+2位年+2位月+2位日+4位流水+2位流水（已作废）
     */
    @TableField(INVOICECODE)
    private String invoiceCode;
    
    /**
     * sku编号
     */
    @TableField(SKUCODE)
    private String skuCode;
    
    /**
     * 单价
     */
    @TableField(PRICE)
    private BigDecimal price;
    
    /**
     * 订货数量
     */
    @TableField(ORDERCNT)
    private Integer orderCnt;
    
    /**
     * 预计发货数量（已作废）
     */
    @TableField(TEMPCNT)
    private Integer tempCnt;
    
    /**
     * 发货数量
     */
    @TableField(DELIVERYCNT)
    private Integer deliveryCnt;
    
    /**
     * 收货数量
     */
    @TableField(RECEIVECNT)
    private Integer receiveCnt;
    
    /**
     * 缺货数量
     */
    @TableField(OUTAGE_QUANTITY)
    private Integer outageQuantity;
    
    /**
     * 取消数量
     */
    @TableField(REJECTED_QUANTITY)
    private Integer rejectedQuantity;
    
    /**
     * 已处理数量
     */
    @TableField(PENDINGCNT)
    private Integer pendingCnt;
    
    /**
     * 补货数量
     */
    @TableField(REDELIVERY_QUANTITY)
    private Integer redeliveryQuantity;
    
    /**
     * 缺货售后数量
     */
    @TableField(CS_STOCKOUT_CNT)
    private Integer csStockoutCnt;
    
    /**
     * 待处理售后数量
     */
    @TableField(CS_PENDING_CNT)
    private Integer csPendingCnt;
    
    /**
     * 待收货售后数量
     */
    @TableField(CS_DELIVERY_CNT)
    private Integer csDeliveryCnt;
    
    /**
     * 已完成售后数量
     */
    @TableField(CS_RECEIVE_CNT)
    private Integer csReceiveCnt;
    
    /**
     * 备注
     */
    @TableField(MEMO)
    private String memo;
    
    /**
     * 是否关闭
     */
    @TableField(ISCLOSE)
    private Integer isClose;
    
    /**
     * 售后单号
     */
    @TableField(CSORDERCODE)
    private String csOrderCode;
    
    /**
     * 补货订单和采购订单互相关联的销售单号
     */
    @TableField(RELATION_SO_CODE)
    private String relationSoCode;
    
    /**
     * 创建人
     */
    @TableField(CREATOR)
    private String creator;
    
    /**
     * 修改人
     */
    @TableField(EDITOR)
    private String editor;
    
    /**
     * 创建时间
     */
    @TableField(CREATEDTIME)
    private Date createdTime;
    
    /**
     * 更新时间
     */
    @TableField(UPDATEDTIME)
    private Date updatedTime;
    
    /**
     * 促销分摊金额
     */
    @TableField(PROPRICE)
    private BigDecimal proPrice;
    
    /**
     * 促销标记 0:不显示 1:显示
     */
    @TableField(PROTYPE)
    private Integer proType;
    
    /**
     * 补货订单和采购订单互相关联的发货单号
     */
    @TableField(RELATIONINVOICECODE)
    private String relationInvoiceCode;
    
    /**
     * 客服备注
     */
    @TableField(CUSTOMERSERVICEREMARK)
    private String customerServiceRemark;
    
    /**
     * bus_promotionmaster->id, 促销活动主表Id
     */
    @TableField(PROMOTIONID)
    private Integer promotionId;
    
    /**
     * 优惠券分摊金额
     */
    @TableField(PROMOTIONPRICE)
    private BigDecimal promotionPrice;
    
    /**
     * 商品优惠明细备注
     */
    @TableField(PROMOTIONREMARK)
    private String promotionRemark;
    
    /**
     * 换货商品价值
     */
    @TableField(BARTER_VALUE)
    private BigDecimal barterValue;
    
    /**
     * 充值卡分摊金额
     */
    @TableField(RECHARGECARDPRICE)
    private BigDecimal rechargeCardPrice;
    
    /**
     * 商品优惠明细备注
     */
    @TableField(PROMOTIONSNAPSHOT)
    private String promotionSnapshot;
    
    /**
     * 新发货数据迁移脚本标记(so单标记)
     */
    @TableField(RECOVER_MEMO)
    private String recoverMemo;
    
    /**
     * 新发货数据迁移脚本标记(详情关闭标记)
     */
    @TableField(RECOVER_CLOSE)
    private String recoverClose;
    
    /**
     * 新发货数据迁移脚本标记(重复单据合并)
     */
    @TableField(REAPT_FLAG)
    private String reaptFlag;
    
    /**
     * 新发货数据迁移脚本标记(新增详情备注)
     */
    @TableField(NEW_DETAIL_FLAG)
    private String newDetailFlag;



    /**
     * 自增长
     */
    public static final String ID = "id";

    /**
     * 销售订单编号
     */
    public static final String ORDERMASTERCODE = "orderMasterCode";

    /**
     * 发货单编号 SO+2位年+2位月+2位日+4位流水+2位流水（已作废）
     */
    public static final String INVOICECODE = "invoiceCode";

    /**
     * sku编号
     */
    public static final String SKUCODE = "skuCode";

    /**
     * 单价
     */
    public static final String PRICE = "price";

    /**
     * 订货数量
     */
    public static final String ORDERCNT = "orderCnt";

    /**
     * 预计发货数量（已作废）
     */
    public static final String TEMPCNT = "tempCnt";

    /**
     * 发货数量
     */
    public static final String DELIVERYCNT = "deliveryCnt";

    /**
     * 收货数量
     */
    public static final String RECEIVECNT = "receiveCnt";

    /**
     * 缺货数量
     */
    public static final String OUTAGE_QUANTITY = "outage_quantity";

    /**
     * 取消数量
     */
    public static final String REJECTED_QUANTITY = "rejected_quantity";

    /**
     * 已处理数量
     */
    public static final String PENDINGCNT = "pendingCnt";

    /**
     * 补货数量
     */
    public static final String REDELIVERY_QUANTITY = "redelivery_quantity";

    /**
     * 缺货售后数量
     */
    public static final String CS_STOCKOUT_CNT = "cs_stockout_cnt";

    /**
     * 待处理售后数量
     */
    public static final String CS_PENDING_CNT = "cs_pending_cnt";

    /**
     * 待收货售后数量
     */
    public static final String CS_DELIVERY_CNT = "cs_delivery_cnt";

    /**
     * 已完成售后数量
     */
    public static final String CS_RECEIVE_CNT = "cs_receive_cnt";

    /**
     * 备注
     */
    public static final String MEMO = "memo";

    /**
     * 是否关闭
     */
    public static final String ISCLOSE = "isClose";

    /**
     * 售后单号
     */
    public static final String CSORDERCODE = "csOrderCode";

    /**
     * 补货订单和采购订单互相关联的销售单号
     */
    public static final String RELATION_SO_CODE = "relation_so_code";

    /**
     * 创建人
     */
    public static final String CREATOR = "creator";

    /**
     * 修改人
     */
    public static final String EDITOR = "editor";

    /**
     * 创建时间
     */
    public static final String CREATEDTIME = "createdTime";

    /**
     * 更新时间
     */
    public static final String UPDATEDTIME = "updatedTime";

    /**
     * 促销分摊金额
     */
    public static final String PROPRICE = "proPrice";

    /**
     * 促销标记 0:不显示 1:显示
     */
    public static final String PROTYPE = "proType";

    /**
     * 补货订单和采购订单互相关联的发货单号
     */
    public static final String RELATIONINVOICECODE = "relationInvoiceCode";

    /**
     * 客服备注
     */
    public static final String CUSTOMERSERVICEREMARK = "customerServiceRemark";

    /**
     * bus_promotionmaster->id, 促销活动主表Id
     */
    public static final String PROMOTIONID = "promotionId";

    /**
     * 优惠券分摊金额
     */
    public static final String PROMOTIONPRICE = "promotionPrice";

    /**
     * 商品优惠明细备注
     */
    public static final String PROMOTIONREMARK = "promotionRemark";

    /**
     * 换货商品价值
     */
    public static final String BARTER_VALUE = "barter_value";

    /**
     * 充值卡分摊金额
     */
    public static final String RECHARGECARDPRICE = "rechargeCardPrice";

    /**
     * 商品优惠明细备注
     */
    public static final String PROMOTIONSNAPSHOT = "promotionSnapshot";

    /**
     * 新发货数据迁移脚本标记(so单标记)
     */
    public static final String RECOVER_MEMO = "recover_memo";

    /**
     * 新发货数据迁移脚本标记(详情关闭标记)
     */
    public static final String RECOVER_CLOSE = "recover_close";

    /**
     * 新发货数据迁移脚本标记(重复单据合并)
     */
    public static final String REAPT_FLAG = "reapt_flag";

    /**
     * 新发货数据迁移脚本标记(新增详情备注)
     */
    public static final String NEW_DETAIL_FLAG = "new_detail_flag";


}
