package com.jarvis.dataCenter.entity.prod;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.jarvis.lib.common.mybatisplus.entity.AbstractEntity;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;
/**
 * <p>
 *  ENTITY
 * </p>
 *
 * @author jinzhaopo
 * @since 2019-10-22
 */
@Data
@TableName("so_ordermaster")
public class SoOrdermasterEntity extends AbstractEntity {

    private static final long serialVersionUID = 1L;
    
    /**
     * 自增长
     */
    @TableId(value = ID, type = IdType.AUTO)
    private Integer id;
    
    /**
     * 销售订单编号
     */
    @TableField(ORDERMASTERCODE)
    private String orderMasterCode;
    
    /**
     * 上级采购主订单code
     */
    @TableField(POORDERMASTERCODE)
    private String poOrderMasterCode;
    
    /**
     * 供应商机构id
     */
    @TableField(SUPLIERID)
    private Integer suplierId;
    
    /**
     * 收货机构id
     */
    @TableField(RECEIVEAGENCYID)
    private Integer receiveAgencyId;
    
    /**
     * 下单机构id
     */
    @TableField(AGENCYID)
    private Integer agencyId;
    
    /**
     * 20待支付、30待处理、35取消、40待发货、60已发货、70已完成、80缺货
     */
    @TableField(ORDERSTATUS)
    private Integer orderStatus;
    
    /**
     * 处理状态 0未处理、40已处理
     */
    @TableField(PROCESSSTATUS)
    private Integer processStatus;
    
    /**
     * 挂起状态：0正常, 1挂起
     */
    @TableField(LOCKSTATUS)
    private Integer lockStatus;
    
    /**
     * 0:未支付，30:已支付，31部分支付，35已取消
     */
    @TableField(PAYSTATUS)
    private Integer payStatus;
    
    /**
     * 销售订单主状态 0未发货、51部分发货、50全部发货
     */
    @TableField(ISSUANCESTATUS)
    private Integer issuanceStatus;
    
    /**
     * 0未收货、61部分收货、70全部收货
     */
    @TableField(RECEIVESTATUS)
    private Integer receiveStatus;
    
    /**
     * 收款信息
     */
    @TableField(RECEIVABLESINFO)
    private String receivablesInfo;
    
    /**
     * 收款时间 收款时间=客户付款时间，界面显示为【销售订单生成时间】
     */
    @TableField(RECEIVABLESTIME)
    private Date receivablesTime;
    
    /**
     * 处理时间
     */
    @TableField(PROCESSTIME)
    private Date processTime;
    
    /**
     * 处理人
     */
    @TableField(PROCESSER)
    private String processer;
    
    /**
     * 销售订单金额 整笔销售订单，金额总计
     */
    @TableField(TOTALAMOUNT)
    private BigDecimal totalAmount;
    
    /**
     * 商品种类 整笔销售订单，sku的计数，不重复
     */
    @TableField(SKUKINDCNT)
    private Integer skuKindCnt;
    
    /**
     * 商品数量 整笔销售订单，订货数量汇总
     */
    @TableField(SKUCNT)
    private Integer skuCnt;
    
    /**
     * 备注
     */
    @TableField(MEMO)
    private String memo;
    
    /**
     * 收发票地址id
     */
    @TableField(AGENCYADDRESSID)
    private Integer agencyAddressId;
    
    /**
     * 国家ID
     */
    @TableField(COUNTRYID)
    private Integer countryId;
    
    /**
     * 国家名称
     */
    @TableField(COUNTRYNAME)
    private String countryName;
    
    /**
     * 省份ID
     */
    @TableField(PROVINCEID)
    private Integer provinceId;
    
    /**
     * 省份名称
     */
    @TableField(PROVINCENAME)
    private String provinceName;
    
    /**
     * 城市ID
     */
    @TableField(CITYID)
    private Integer cityId;
    
    /**
     * 城市名称
     */
    @TableField(CITYNAME)
    private String cityName;
    
    /**
     * 区ID
     */
    @TableField(COUNTYID)
    private Integer countyId;
    
    /**
     * 区名称
     */
    @TableField(COUNTYNAME)
    private String countyName;
    
    /**
     * 详细地址
     */
    @TableField(ADDRESS)
    private String address;
    
    /**
     * 收件人姓名
     */
    @TableField(DELIVERNAME)
    private String deliverName;
    
    /**
     * 收件人手机
     */
    @TableField(DELIVERMOBILE)
    private String deliverMobile;
    
    /**
     * 固定电话
     */
    @TableField(DELIVERPHONE)
    private String deliverPhone;
    
    /**
     * 邮编
     */
    @TableField(POSTCODE)
    private String postCode;
    
    /**
     * 经度
     */
    @TableField(LONGITUDE)
    private String longitude;
    
    /**
     * 纬度
     */
    @TableField(LATITUDE)
    private String latitude;
    
    /**
     * 支付人，支付时记录
     */
    @TableField(PAYER)
    private String payer;
    
    /**
     * 支付时记录
     */
    @TableField(PAYTIME)
    private Date payTime;
    
    /**
     * 创建人
     */
    @TableField(CREATOR)
    private String creator;
    
    /**
     * 修改人
     */
    @TableField(EDITOR)
    private String editor;
    
    /**
     * 创建时间
     */
    @TableField(CREATEDTIME)
    private Date createdTime;
    
    /**
     * 更新时间
     */
    @TableField(UPDATEDTIME)
    private Date updatedTime;
    
    /**
     * 是否紧急 0:否 1:是
     */
    @TableField(ISURGENT)
    private Integer isUrgent;
    
    /**
     * 0：线下支付，1:线上, 2:无
     */
    @TableField(PAYSTYLE)
    private Integer paystyle;
    
    /**
     * 0线下支付；1联动支付；2银行卡；3微信；4支付宝；5账户余额; 6.无
     */
    @TableField(PAY_TYPE)
    private Integer payType;
    
    /**
     * 订单来源类型: 1.人工创建 2.下级机构上推 3.智能柜订单4.寄售订单
     */
    @TableField(SOURCETYPE)
    private Integer sourceType;
    
    /**
     * 优惠金额
     */
    @TableField(PROMOTIONPRICE)
    private BigDecimal promotionPrice;
    
    /**
     * 异常状态 0无异常，1申请缺货
     */
    @TableField(ERRORSTATUS)
    private Integer errorStatus;
    
    /**
     * 申诉状态 0无申诉，1申诉申请，2申诉回复，3申诉完成
     */
    @TableField(APPEALSTATUS)
    private Integer appealStatus;
    
    /**
     * 自营状态 0非自营，1自营
     */
    @TableField(SELFSUPPORT)
    private Integer selfSupport;
    
    /**
     * 是否关闭：0不关闭；1关闭
     */
    @TableField(IS_CLOSE)
    private Integer isClose;
    
    /**
     * 补货订单和采购订单互相关联的销售单号
     */
    @TableField(RELATION_SO_CODE)
    private String relationSoCode;
    
    /**
     * 关联关闭的销售单
     */
    @TableField(RELATION_CLOSE_SO)
    private String relationCloseSo;
    
    /**
     * 是否生成发货单：0不生成；1生成
     */
    @TableField(CREATE_DO)
    private Integer createDo;
    
    /**
     * 订单类型：0采购订单；1补货订单
     */
    @TableField(ORDER_TYPE)
    private Integer orderType;
    
    /**
     * 新发货数据处理标识历史订单；1：历史订单，0非历史订单
     */
    @TableField(HISTORY_CLOSE)
    private Integer historyClose;
    
    /**
     * 数据迁移标记字段(新增拆出来的发货单)
     */
    @TableField(CREATE_FLAG)
    private String createFlag;
    
    /**
     * 是否余额支付限制
     */
    @TableField(HAS_PAY_LIMIT)
    private Integer hasPayLimit;



    /**
     * 自增长
     */
    public static final String ID = "id";

    /**
     * 销售订单编号
     */
    public static final String ORDERMASTERCODE = "orderMasterCode";

    /**
     * 上级采购主订单code
     */
    public static final String POORDERMASTERCODE = "poOrderMasterCode";

    /**
     * 供应商机构id
     */
    public static final String SUPLIERID = "suplierId";

    /**
     * 收货机构id
     */
    public static final String RECEIVEAGENCYID = "receiveAgencyId";

    /**
     * 下单机构id
     */
    public static final String AGENCYID = "agencyId";

    /**
     * 20待支付、30待处理、35取消、40待发货、60已发货、70已完成、80缺货
     */
    public static final String ORDERSTATUS = "orderStatus";

    /**
     * 处理状态 0未处理、40已处理
     */
    public static final String PROCESSSTATUS = "processStatus";

    /**
     * 挂起状态：0正常, 1挂起
     */
    public static final String LOCKSTATUS = "lockStatus";

    /**
     * 0:未支付，30:已支付，31部分支付，35已取消
     */
    public static final String PAYSTATUS = "payStatus";

    /**
     * 销售订单主状态 0未发货、51部分发货、50全部发货
     */
    public static final String ISSUANCESTATUS = "issuanceStatus";

    /**
     * 0未收货、61部分收货、70全部收货
     */
    public static final String RECEIVESTATUS = "receiveStatus";

    /**
     * 收款信息
     */
    public static final String RECEIVABLESINFO = "receivablesInfo";

    /**
     * 收款时间 收款时间=客户付款时间，界面显示为【销售订单生成时间】
     */
    public static final String RECEIVABLESTIME = "receivablesTime";

    /**
     * 处理时间
     */
    public static final String PROCESSTIME = "processTime";

    /**
     * 处理人
     */
    public static final String PROCESSER = "processer";

    /**
     * 销售订单金额 整笔销售订单，金额总计
     */
    public static final String TOTALAMOUNT = "totalAmount";

    /**
     * 商品种类 整笔销售订单，sku的计数，不重复
     */
    public static final String SKUKINDCNT = "skuKindCnt";

    /**
     * 商品数量 整笔销售订单，订货数量汇总
     */
    public static final String SKUCNT = "skuCnt";

    /**
     * 备注
     */
    public static final String MEMO = "memo";

    /**
     * 收发票地址id
     */
    public static final String AGENCYADDRESSID = "agencyAddressId";

    /**
     * 国家ID
     */
    public static final String COUNTRYID = "countryId";

    /**
     * 国家名称
     */
    public static final String COUNTRYNAME = "countryName";

    /**
     * 省份ID
     */
    public static final String PROVINCEID = "provinceId";

    /**
     * 省份名称
     */
    public static final String PROVINCENAME = "provinceName";

    /**
     * 城市ID
     */
    public static final String CITYID = "cityId";

    /**
     * 城市名称
     */
    public static final String CITYNAME = "cityName";

    /**
     * 区ID
     */
    public static final String COUNTYID = "countyId";

    /**
     * 区名称
     */
    public static final String COUNTYNAME = "countyName";

    /**
     * 详细地址
     */
    public static final String ADDRESS = "address";

    /**
     * 收件人姓名
     */
    public static final String DELIVERNAME = "deliverName";

    /**
     * 收件人手机
     */
    public static final String DELIVERMOBILE = "deliverMobile";

    /**
     * 固定电话
     */
    public static final String DELIVERPHONE = "deliverPhone";

    /**
     * 邮编
     */
    public static final String POSTCODE = "postCode";

    /**
     * 经度
     */
    public static final String LONGITUDE = "longitude";

    /**
     * 纬度
     */
    public static final String LATITUDE = "latitude";

    /**
     * 支付人，支付时记录
     */
    public static final String PAYER = "payer";

    /**
     * 支付时记录
     */
    public static final String PAYTIME = "payTime";

    /**
     * 创建人
     */
    public static final String CREATOR = "creator";

    /**
     * 修改人
     */
    public static final String EDITOR = "editor";

    /**
     * 创建时间
     */
    public static final String CREATEDTIME = "createdTime";

    /**
     * 更新时间
     */
    public static final String UPDATEDTIME = "updatedTime";

    /**
     * 是否紧急 0:否 1:是
     */
    public static final String ISURGENT = "isUrgent";

    /**
     * 0：线下支付，1:线上, 2:无
     */
    public static final String PAYSTYLE = "paystyle";

    /**
     * 0线下支付；1联动支付；2银行卡；3微信；4支付宝；5账户余额; 6.无
     */
    public static final String PAY_TYPE = "pay_type";

    /**
     * 订单来源类型: 1.人工创建 2.下级机构上推 3.智能柜订单4.寄售订单
     */
    public static final String SOURCETYPE = "sourceType";

    /**
     * 优惠金额
     */
    public static final String PROMOTIONPRICE = "promotionPrice";

    /**
     * 异常状态 0无异常，1申请缺货
     */
    public static final String ERRORSTATUS = "errorStatus";

    /**
     * 申诉状态 0无申诉，1申诉申请，2申诉回复，3申诉完成
     */
    public static final String APPEALSTATUS = "appealStatus";

    /**
     * 自营状态 0非自营，1自营
     */
    public static final String SELFSUPPORT = "selfSupport";

    /**
     * 是否关闭：0不关闭；1关闭
     */
    public static final String IS_CLOSE = "is_close";

    /**
     * 补货订单和采购订单互相关联的销售单号
     */
    public static final String RELATION_SO_CODE = "relation_so_code";

    /**
     * 关联关闭的销售单
     */
    public static final String RELATION_CLOSE_SO = "relation_close_so";

    /**
     * 是否生成发货单：0不生成；1生成
     */
    public static final String CREATE_DO = "create_do";

    /**
     * 订单类型：0采购订单；1补货订单
     */
    public static final String ORDER_TYPE = "order_type";

    /**
     * 新发货数据处理标识历史订单；1：历史订单，0非历史订单
     */
    public static final String HISTORY_CLOSE = "history_close";

    /**
     * 数据迁移标记字段(新增拆出来的发货单)
     */
    public static final String CREATE_FLAG = "create_flag";

    /**
     * 是否余额支付限制
     */
    public static final String HAS_PAY_LIMIT = "has_pay_limit";


}
