package com.jarvis.dataCenter.entity.report;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.jarvis.lib.common.mybatisplus.entity.AbstractEntity;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @author jinzhaopo
 * @date 2019-10-30 13:53
 */
@Data
@TableName("report_do_info")
public class ReportDoInfo extends AbstractEntity {

    @TableId(type = IdType.AUTO)
    private Long id;

    //-------------do_detail  doDetail

    private Long doDetailid;

    /**
     * 发货单id
     */
    private Long doDetaildeliveryOrderId;

    /**
     * po单号
     */
    private String doDetailpoCode;

    /**
     * so单号
     */
    private String doDetailsoCode;

    /**
     * 发货单号
     */
    private String doDetaildoCode;

    /**
     * sku编号
     */
    private String doDetailskuCode;

    /**
     * 供应商id
     */
    private Long doDetailsupplierId;

    /**
     * 供应商名称
     */
    private String doDetailsupplierName;

    /**
     * 供应商简称
     */
    private String doDetailsupplierShortName;

    /**
     * 产品id
     */
    private Long doDetailproductId;

    /**
     * 产品名称
     */
    private String doDetailproductName;

    /**
     * 规格id
     */
    private Long doDetailspecId;

    /**
     * 规格名称
     */
    private String doDetailspecName;

    /**
     * 子规格名称
     */
    private String doDetailspecNameExt;

    /**
     * 销售单位
     */
    private String doDetailsalesUnit;

    /**
     * 品牌id
     */
    private Long doDetailbrandId;

    /**
     * 物料品牌
     */
    private String doDetailbrandName;

    /**
     * 发货仓ID
     */
    private Long doDetailsupplierWarehouseId;

    /**
     * 发货仓
     */
    private String doDetailsupplierWarehouseName;

    /**
     * 产商商品编码
     */
    private String doDetailproducerProdCode;

    /**
     * 客户商品编码
     */
    private String doDetailcustomerProdCode;

    /**
     * 供应商商品编码
     */
    private String doDetailsupplierProdCode;

    /**
     * 期望发货数量
     */
    private BigDecimal doDetailexpectQuantity;

    /**
     * 缺货数量
     */
    private BigDecimal doDetailoutageQuantity;

    /**
     * 实际发货数量
     */
    private BigDecimal doDetailactualQuantity;

    /**
     * 客户备注
     */
    private String doDetailcustomerMemo;

    /**
     * 客服备注
     */
    private String doDetailcustomerServiceMemo;

    /**
     * 0未拼团；1拼团中；2拼团完成；3 拼团失败
     */
    private String doDetailgroupBuyStatus;

    private Date doDetailcreatedTime;

    private Date doDetailupdatedTime;

    private Integer doDetailversion;


    //---------------do

    private Long doid;

    /**
     * 发货单编号
     */
    private String docode;

    /**
     * 订单类型，NORMAL：普通发货单, CONSIGNMENT：寄售单, REPLENISHMENT：补货单,SMART_BOX: 智能柜
     */
    private String dotype;

    /**
     * po编号
     */
    private String dopoCode;

    /**
     * 物流公司id
     */
    private Long dologisticsCompanyId;

    /**
     * 物流单号
     */
    private String dologisticsCode;

    /**
     * 发货日期
     */
    private Date dodeliveredDate;

    /**
     * 发货单状态,WAIT：待发货，DELIVERED：已发货，RECEIVED：已收货，CLOSED：已关闭
     */
    private String dostatus;

    /**
     * 备注状态：0未创建；1处理中；2已完成
     */
    private Integer doremarkStatus;

    /**
     * 发货仓库id
     */
    private Long dowarehouseId;

    /**
     * 归属供应商id
     */
    private Long dosupplierId;

    /**
     * 归属供应商名称
     */
    private String dosupplierName;

    /**
     * 归属供应商简称
     */
    private String dosupplierShortName;

    /**
     * 订货集团id
     */
    private Long dopurchaseGroupId;

    /**
     * 订货集团
     */
    private String dopurchaseGroupName;

    /**
     * 订货集团简称
     */
    private String dopurchaseGroupShortName;

    /**
     * 订货机构id
     */
    private Long dopurchaseAgencyId;

    /**
     * 订货机构
     */
    private String dopurchaseAgencyName;

    /**
     * 订货机构简称
     */
    private String dopurchaseAgencyShortName;

    /**
     * 订货人
     */
    private String dopurchaseUser;

    /**
     * 订货人手机号
     */
    private String dopurchaseUserMobile;

    /**
     * 智能柜编号
     */
    private String docabinetId;

    /**
     * 收货机构id
     */
    private Long dodeliveryAgencyId;

    /**
     * 收货机构
     */
    private String dodeliveryAgencyName;

    /**
     * 收货机构简称
     */
    private String dodeliveryAgencyShortName;

    /**
     * 收货地址id
     */
    private Long doaddressId;

    /**
     * 邮政编码
     */
    private String dopostcode;

    /**
     * 国家
     */
    private String docountryName;

    /**
     * 省份
     */
    private String doprovinceName;

    /**
     * 城市
     */
    private String docityName;

    /**
     * 区
     */
    private String dodistrictName;

    /**
     * 详细地址
     */
    private String doaddress;

    /**
     * 创建用户
     */
    private String docreatedUser;

    /**
     * 收货人
     */
    private String doreceiverName;

    /**
     * 收货人手机
     */
    private String doreceiverMobile;

    /**
     * 收货人电话
     */
    private String doreceiverPhone;

    /**
     * 发货人
     */
    private String dodeliveryUser;

    /**
     * 关联补货单
     */
    private String doreferDoCode;

    /**
     * 合并后的发货单号
     */
    private String domergeDoCode;

    /**
     * 通知状态:Y已通知,N未通知
     */
    private String donoticeStatus;

    /**
     * 备注
     */
    private String domemo;

    /**
     * 出库备注
     */
    private String docheckOutMemo;

    private Date docreatedTime;

    private Date doupdatedTime;

    private Integer doversion;


    //---------------licence


    private Long licenceId;
    /**
     * 发货单号
     */
    private String licencedoCode;

    /**
     * 供应商id
     */
    private Long licencesupplierId;

    /**
     * 机构id
     */
    private Long licenceagencyId;

    /**
     * 集团id
     */
    private Long licencegroupId;

    /**
     * 证照类型
     */
    private String licencelicenceType;

    /**
     * 产品id
     */
    private Long licenceproductId;

    private Date licencecreatedTime;

    private Date licenceupdatedTime;

    private Integer licenceversion;


    //-------------warehouse

    private Long warehouseId;

    /**
     * 名称
     */
    private String warehousename;

    /**
     * 编号
     */
    private String warehousecode;

    /**
     * 锁定仓库
     */
    private String warehouselocked;

    /**
     * 出库排序
     */
    private Integer warehousecheckOutSort;

    /**
     * 是否启用
     */
    private String warehouseenabled;

    /**
     * 联系人
     */
    private String warehousecontact;

    /**
     * 联系人
     */
    private String warehouseuserName;

    /**
     * 地址
     */
    private String warehouseaddress;

    /**
     * 手机号
     */
    private String warehousemobile;

    private Date warehousecreatedTime;

    private Date warehouseupdatedTime;

    private Integer warehouseversion;


}
