package com.jarvis.dataCenter.entity.report;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.jarvis.lib.common.mybatisplus.entity.AbstractEntity;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * bus_merchandisemaster + bus_productspec
 *
 * @author jinzhaopo
 * @date 2019-10-28 16:42
 */

@Data
@TableName("report_sku_info")
public class ReportSkuInfo extends AbstractEntity {
    /**
     * 自增长
     */
    @TableId(type = IdType.AUTO)
    private Integer id;

    //------------------------busMerchandisemaster

    /**
     * 主键 自增长
     */
    @TableField(value = "busMerchandisemasterId")
    private Integer busMerchandisemasterId;

    /**
     * SKU编号
     */
    @TableField(value = "busMerchandisemasterSkuCode")
    private String busMerchandisemasterSkuCode;

    /**
     * 产品ID 关联bus_productMaster->productId
     */
    @TableField(value = "busMerchandisemasterProductId")
    private Integer busMerchandisemasterProductId;

    /**
     * 产品规格明细ID 关联bus_productSpec->Id
     */
    @TableField(value = "busMerchandisemasterProductSpecId")
    private Integer busMerchandisemasterProductSpecId;

    /**
     * 产品中文名称 关联bus_productMaster->productNameCn
     */
    @TableField(value = "busMerchandisemasterProductNameCn")
    private String busMerchandisemasterProductNameCn;

    /**
     * 内部编码:瑞尔集团内部使用编码，用来做一一对应关系
     */
    @TableField(value = "busMerchandisemasterInsideCode")
    private String busMerchandisemasterInsideCode;

    /**
     * 供应商内部编码
     */
    @TableField(value = "busMerchandisemasterSupinsideCode")
    private String busMerchandisemasterSupinsideCode;

    /**
     * 产品系列中文名称
     */
    @TableField(value = "busMerchandisemasterPdSeriescn")
    private String busMerchandisemasterPdSeriescn;

    /**
     * 产品系列英文名称
     */
    @TableField(value = "busMerchandisemasterPdSeriesen")
    private String busMerchandisemasterPdSeriesen;

    /**
     * 供应商ID 关联po_supliersMaster->id
     */
    @TableField(value = "busMerchandisemasterSupliersId")
    private Integer busMerchandisemasterSupliersId;

    /**
     * 供应商产品名称(平台采购)
     */
    @TableField(value = "busMerchandisemasterSupliersProductNameCn")
    private String busMerchandisemasterSupliersProductNameCn;

    /**
     * 供应商规格名称
     */
    @TableField(value = "busMerchandisemasterSupliersProductSpecName")
    private String busMerchandisemasterSupliersProductSpecName;

    /**
     * 供应商子规格名称
     */
    @TableField(value = "busMerchandisemasterSupliersSpecNameExt")
    private String busMerchandisemasterSupliersSpecNameExt;

    /**
     * 是否是自营sku(y/n)
     */
    @TableField(value = "busMerchandisemasterSelfSell")
    private String busMerchandisemasterSelfSell;

    /**
     * 供应商抬头简称 关联po_supliersMaster->supliersShortName
     */
    @TableField(value = "busMerchandisemasterSupliersShortName")
    private String busMerchandisemasterSupliersShortName;

    /**
     * 品牌id:关联bus_productBrand->id
     */
    @TableField(value = "busMerchandisemasterBrandId")
    private Integer busMerchandisemasterBrandId;

    /**
     * 品牌中文名称:关联bus_productBrand->brandNameCn
     */
    @TableField(value = "busMerchandisemasterBrandNameCn")
    private String busMerchandisemasterBrandNameCn;

    /**
     * 分类id:关联bus_productCategory->id
     */
    @TableField(value = "busMerchandisemasterCategoryId")
    private Integer busMerchandisemasterCategoryId;

    /**
     * 分类名称:关联bus_productCategory->categoryNameCn
     */
    @TableField(value = "busMerchandisemasterCategoryNameCn")
    private String busMerchandisemasterCategoryNameCn;

    /**
     * 展示分类id:关联bus_productShowCategory->id
     */
    private Integer busMerchandisemasterShowCategoryId;

    /**
     * 展示分类名称:关联bus_productShowCategory->categoryNameCn
     */
    private String busMerchandisemasterShowCategoryNameCn;

    /**
     * 规格id 关联 bus_productMasterExtend->extId
     */
    private Integer busMerchandisemasterExtidGpSpec;

    /**
     * 规格名称 关联 bus_productMasterExtend->exName
     */
    private String busMerchandisemasterExtgpnameGpSpec;

    /**
     * 二级规格id
     */
    private Integer busMerchandisemasterExtidGpSpecext;

    /**
     * 二级规格名称
     */
    private String busMerchandisemasterExtgpnameGpSpecext;

    /**
     * 包装单位id 关联 bus_productMasterExtend->extId
     */
    private Integer busMerchandisemasterExtidGpPkunit;

    /**
     * 包装单位名称 关联 bus_productMasterExtend->groupName
     */
    private String busMerchandisemasterExtgpnameGpPkunit;

    /**
     * 销售单位id 关联 bus_productMasterExtend->extId
     */
    private Integer busMerchandisemasterExtidGpSalesunit;

    /**
     * 销售单位名称 关联 bus_productMasterExtend->groupName
     */
    private String busMerchandisemasterExtgpnameGpSalesunit;

    /**
     * 最小使用单位（库存单位）例如：台 支
     */
    private String busMerchandisemasterStockUnit;

    /**
     * 库存销售单位换算 例如：填写6，表示1个销售单位中对应6个使用单位
     */
    private BigDecimal busMerchandisemasterStockUseUnit;

    /**
     * 进货单位
     */
    private String busMerchandisemasterPurchaseUnit;

    /**
     * 成本价（针对进货单位）
     */
    private BigDecimal busMerchandisemasterPurchasePrice;

    /**
     * 进货/销售单位换算
     */
    private BigDecimal busMerchandisemasterPurchaseUseUnit;

    /**
     * 商品产地 基本设置(itemGpCode) 进口、国产
     */
    private String busMerchandisemasterProvenanceTyp;

    /**
     * 税率
     */
    private BigDecimal busMerchandisemasterTaxRate;

    /**
     * 网站标准售价
     */
    private BigDecimal busMerchandisemasterSalePrice;

    /**
     * 市场售价
     */
    private BigDecimal busMerchandisemasterMarketPrice;

    /**
     * 商品库存归属 状态 0：否 1：是
     */
    private Integer busMerchandisemasterStkAscription;

    /**
     * 关联仓库 预留字段
     */
    private String busMerchandisemasterWhsRel;

    /**
     * 商品供货属性 基本设置(itemGpCode) itemGpCode = bus_merchandise_provide_typ
     */
    private String busMerchandisemasterSupplyAttribute;

    /**
     * 供货天数，仅当商品供货属性=非现货时生效
     */
    private BigDecimal busMerchandisemasterSupplyAttrDays;

    /**
     * 预留：基本设置(itemGpCode) itemGpCode = bus_merchandise_stock
     */
    private Integer busMerchandisemasterStatusFlg;

    /**
     * 商品库存状态 基本设置(itemGpCode) itemGpCode = bus_merchandise_stock
     */
    private Integer busMerchandisemasterStkStatus;

    /**
     * 净重
     */
    private BigDecimal busMerchandisemasterNetWeight;

    /**
     * 毛重
     */
    private BigDecimal busMerchandisemasterGrossWeight;

    /**
     * 原产地中文
     */
    private String busMerchandisemasterProvenanceCn;

    /**
     * 原产地英文
     */
    private String busMerchandisemasterProvenanceEn;

    /**
     * 审核状态：0：创建，1：待审核，2：已审核，3：驳回，4：关闭
     */
    private Integer busMerchandisemasterAppStatus;

    /**
     * 上下架状态：0：创建，1：上架，2：下架，3：停售，4：总库未到货
     */
    private Integer busMerchandisemasterShelfStatus;

    /**
     * 预留1
     */
    private String busMerchandisemasterReservei;

    /**
     * 预留2
     */
    private String busMerchandisemasterReserveii;

    /**
     * 商城是否显示  0:商城不显示  1:商城显示
     */
    private Integer busMerchandisemasterShopShow;

    /**
     * 状态 0：禁用 1：启用
     */
    private Integer busMerchandisemasterUseFlg;

    /**
     * 备注
     */
    private String busMerchandisemasterMemo;

    /**
     * 创建人
     */
    private String busMerchandisemasterCreator;

    /**
     * 修改人
     */
    private String busMerchandisemasterEditor;

    /**
     * 创建时间
     */
    private Date busMerchandisemasterCreatedTime;

    /**
     * 更新时间
     */
    private Date busMerchandisemasterUpdatedTime;

    //----------------busProductbrand

    /**
     * 主键 自增长
     */
    private Integer busProductbrandId;

    /**
     * 品牌中文名称 唯一校验
     */
    private String busProductbrandBrandNameCn;

    /**
     * 品牌英文名称 唯一校验
     */
    private String busProductbrandBrandNameEn;

    /**
     * 品牌代码  唯一校验
     */
    private String busProductbrandBrandCode;

    /**
     * 图片url
     */
    private String busProductbrandBrandImg1;

    /**
     * 图片url
     */
    private String busProductbrandBrandImg2;

    /**
     * 图片url
     */
    private String busProductbrandBrandImg3;

    /**
     * 品牌简述
     */
    private String busProductbrandBrandDesc;

    /**
     * 预留1
     */
    private String busProductbrandReservei;

    /**
     * 预留2
     */
    private String busProductbrandReserveii;

    /**
     * 显示排序，品牌显示的排序
     */
    private Integer busProductbrandRowNum;

    /**
     * 品牌商城显示的排序
     */
    private Integer busProductbrandRowNumii;

    /**
     * 0：禁用 1：启用
     */
    private Integer busProductbrandUseFlg;

    /**
     * 备注
     */
    private String busProductbrandMemo;

    /**
     * 创建人
     */
    private String busProductbrandCreator;

    /**
     * 修改人
     */
    private String busProductbrandEditor;

    /**
     * 创建时间
     */
    private Date busProductbrandCreatedTime;

    /**
     * 更新时间
     */
    private Date busProductbrandUpdatedTime;

    /**
     * 0：商城不显示 1：商城显示
     */
    private Integer busProductbrandShopShow;


    //--------------busProductcategory3  3级别
    /**
     * 主键 自增长
     */
    private Integer busProductcategory3Id;

    /**
     * 上级分类id
     */
    private Integer busProductcategory3ParentId;

    /**
     * 分类级别 0:项目 1:品类 2:子品类
     */
    private Integer busProductcategory3CateLevel;

    /**
     * 产品分类中文名称
     */
    private String busProductcategory3CategoryNameCn;

    /**
     * 产品分类英文名称
     */
    private String busProductcategory3CategoryNameEn;

    /**
     * 分类编码 唯一
     */
    private String busProductcategory3CategoryCode;

    /**
     * 分类图片
     */
    private String busProductcategory3CategoryImg;

    /**
     * 备注
     */
    private String busProductcategory3Memo;

    /**
     * 分类显示的排序
     */
    private Integer busProductcategory3RowNum;

    /**
     * 分类在商城显示的排序
     */
    private Integer busProductcategory3RowNumii;

    /**
     * 状态 0：禁用 1：启用
     */
    private Integer busProductcategory3UseFlg;

    /**
     * 是否关键 0:否 1：是
     */
    private Integer busProductcategory3IsKey;

    /**
     * 创建人
     */
    private String busProductcategory3Creator;

    /**
     * 修改人
     */
    private String busProductcategory3Editor;

    /**
     * 创建时间
     */
    private Date busProductcategory3CreatedTime;

    /**
     * 更新时间
     */
    private Date busProductcategory3UpdatedTime;


    //--------------busProductcategory2  2级别
    /**
     * 主键 自增长
     */
    private Integer busProductcategory2Id;

    /**
     * 上级分类id
     */
    private Integer busProductcategory2ParentId;

    /**
     * 分类级别 0:项目 1:品类 2:子品类
     */
    private Integer busProductcategory2CateLevel;

    /**
     * 产品分类中文名称
     */
    private String busProductcategory2CategoryNameCn;

    /**
     * 产品分类英文名称
     */
    private String busProductcategory2CategoryNameEn;

    /**
     * 分类编码 唯一
     */
    private String busProductcategory2CategoryCode;

    /**
     * 分类图片
     */
    private String busProductcategory2CategoryImg;

    /**
     * 备注
     */
    private String busProductcategory2Memo;

    /**
     * 分类显示的排序
     */
    private Integer busProductcategory2RowNum;

    /**
     * 分类在商城显示的排序
     */
    private Integer busProductcategory2RowNumii;

    /**
     * 状态 0：禁用 1：启用
     */
    private Integer busProductcategory2UseFlg;

    /**
     * 是否关键 0:否 1：是
     */
    private Integer busProductcategory2IsKey;

    /**
     * 创建人
     */
    private String busProductcategory2Creator;

    /**
     * 修改人
     */
    private String busProductcategory2Editor;

    /**
     * 创建时间
     */
    private Date busProductcategory2CreatedTime;

    /**
     * 更新时间
     */
    private Date busProductcategory2UpdatedTime;

    //--------------busProductcategory1  1级别
    /**
     * 主键 自增长
     */
    private Integer busProductcategory1Id;

    /**
     * 上级分类id
     */
    private Integer busProductcategory1ParentId;

    /**
     * 分类级别 0:项目 1:品类 2:子品类
     */
    private Integer busProductcategory1CateLevel;

    /**
     * 产品分类中文名称
     */
    private String busProductcategory1CategoryNameCn;

    /**
     * 产品分类英文名称
     */
    private String busProductcategory1CategoryNameEn;

    /**
     * 分类编码 唯一
     */
    private String busProductcategory1CategoryCode;

    /**
     * 分类图片
     */
    private String busProductcategory1CategoryImg;

    /**
     * 备注
     */
    private String busProductcategory1Memo;

    /**
     * 分类显示的排序
     */
    private Integer busProductcategory1RowNum;

    /**
     * 分类在商城显示的排序
     */
    private Integer busProductcategory1RowNumii;

    /**
     * 状态 0：禁用 1：启用
     */
    private Integer busProductcategory1UseFlg;

    /**
     * 是否关键 0:否 1：是
     */
    private Integer busProductcategory1IsKey;

    /**
     * 创建人
     */
    private String busProductcategory1Creator;

    /**
     * 修改人
     */
    private String busProductcategory1Editor;

    /**
     * 创建时间
     */
    private Date busProductcategory1CreatedTime;

    /**
     * 更新时间
     */
    private Date busProductcategory1UpdatedTime;

    //---------------------poSupliersmaster
    /**
     * 自增长
     */
    private Integer poSupliersmasterId;

    /**
     * 供应商抬头
     */
    private String poSupliersmasterSupliersName;

    /**
     * 供应商抬头(简称) 抬头简称，供显示供应商抬头用
     */
    private String poSupliersmasterSupliersShortName;

    /**
     * 供应商类型 基础档案设置 com_sysItem->itemGpCode = 'po_supliers_typ'
     */
    private String poSupliersmasterSupliersType;

    /**
     * 上级供应商id
     */
    private Integer poSupliersmasterParentsupliersId;

    /**
     * 供应商编号
     */
    private String poSupliersmasterSupliersCode;

    /**
     * 供应商内部编号
     */
    private String poSupliersmasterInsideCode;

    /**
     * 供应商等级
     */
    private Integer poSupliersmasterLevel;

    /**
     * 是否使用平台仓库 0：否 1：是
     */
    private Integer poSupliersmasterUseWhsService;

    /**
     * 供应商系统类型，基础档案设置
     */
    private String poSupliersmasterSupliersSysType;

    /**
     * 法人姓名
     */
    private String poSupliersmasterLegalPerson;

    /**
     * 法人身份证
     */
    private String poSupliersmasterIdCard;

    /**
     * 国家ID
     */
    private Integer poSupliersmasterCountryId;

    /**
     * 国家名称
     */
    private String poSupliersmasterCountryName;

    /**
     * 省份ID
     */
    private Integer poSupliersmasterProvinceId;

    /**
     * 省份名称
     */
    private String poSupliersmasterProvinceName;

    /**
     * 城市ID
     */
    private Integer poSupliersmasterCityId;

    /**
     * 城市名称
     */
    private String poSupliersmasterCityName;

    /**
     * 区ID
     */
    private Integer poSupliersmasterCountyId;

    /**
     * 区名称
     */
    private String poSupliersmasterCountyName;

    /**
     * 详细地址
     */
    private String poSupliersmasterAddress;

    /**
     * 邮编
     */
    private String poSupliersmasterPostCode;

    /**
     * 经度
     */
    private String poSupliersmasterLongitude;

    /**
     * 纬度
     */
    private String poSupliersmasterLatitude;

    /**
     * 是否标经纬度 0：否 1：是
     */
    private Integer poSupliersmasterLonLatFlg;

    /**
     * 主联系人姓名
     */
    private String poSupliersmasterContacts;

    /**
     * 主联系人手机
     */
    private String poSupliersmasterMobile;

    /**
     * 固定电话区号
     */
    private String poSupliersmasterAreaCode;

    /**
     * 固定电话
     */
    private String poSupliersmasterTelPhone;

    /**
     * 主联系人邮箱
     */
    private String poSupliersmasterMail;

    /**
     * 传真区号
     */
    private String poSupliersmasterFaxCode;

    /**
     * 传真电话
     */
    private String poSupliersmasterFaxPhone;

    /**
     * 税务登记证号
     */
    private String poSupliersmasterTaxRCCode;

    /**
     * 组织机构代码证号,营业执照上的三证合一代码(做唯一校验)
     */
    private String poSupliersmasterCreditCode;

    /**
     * 成立日期
     */
    private Date poSupliersmasterEstDate;

    /**
     * 营业执照编号
     */
    private String poSupliersmasterBusinessLicCode;

    /**
     * 经营范围
     */
    private String poSupliersmasterBusinessScope;

    /**
     * 注册日期 格式到年月日
     */
    private Date poSupliersmasterRegistDate;

    /**
     * 注册结束日期 格式到年月日
     */
    private Date poSupliersmasterRegistdateEnd;

    /**
     * 医疗器械经营许可证编号
     */
    private String poSupliersmasterMedicalcode;

    /**
     * 医疗器械经营范围
     */
    private String poSupliersmasterMedicalscope;

    /**
     * 注册开始日期 格式到年月日
     */
    private Date poSupliersmasterMedicalscopedateBegin;

    /**
     * 注册结束日期 格式到年月日
     */
    private Date poSupliersmasterMedicalscopedateEnd;

    /**
     * 附加服务
     */
    private String poSupliersmasterAddServices;

    /**
     * 主要供货/服务地区
     */
    private String poSupliersmasterServicearea;

    /**
     * 三证合一证照 内部图片存放路径(主路径设置+相对路径)
     */
    private String poSupliersmasterPhotoMain;

    /**
     * 税务登记证 内部图片存放路径
     */
    private String poSupliersmasterPhotoInfo1;

    /**
     * 组织机构代码证 内部图片存放路径
     */
    private String poSupliersmasterPhotoInfo2;

    /**
     * 营业执照信息 内部图片存放路径
     */
    private String poSupliersmasterPhotoInfo3;

    /**
     * 医疗器械经营范围内信息 内部图片存放路径
     */
    private String poSupliersmasterPhotoInfo4;

    /**
     * 预留1
     */
    private String poSupliersmasterReservei;

    /**
     * 预留2
     */
    private String poSupliersmasterReserveii;

    /**
     * 显示排序
     */
    private Integer poSupliersmasterRowNum;

    /**
     * 状态 0：禁用(拉黑) 1：启用
     */
    private Integer poSupliersmasterUseFlg;

    /**
     * 备注
     */
    private String poSupliersmasterMemo;

    /**
     * 创建人
     */
    private String poSupliersmasterCreator;

    /**
     * 修改人
     */
    private String poSupliersmasterEditor;

    /**
     * 创建时间
     */
    private Date poSupliersmasterCreatedTime;

    /**
     * 更新时间
     */
    private Date poSupliersmasterUpdatedTime;

    /**
     * 定价方式 1分区定价 2客户分类定价 默认无
     */
    private Integer poSupliersmasterPriceOpt;

    /**
     * 是否线下由平台代收  1：是 0：否
     */
    private Integer poSupliersmasterIsjws;

    /**
     * 公司账户名
     */
    private String poSupliersmasterCompanyName;

    /**
     * 开户行
     */
    private String poSupliersmasterBank;

    /**
     * 账号
     */
    private String poSupliersmasterAccNum;

    /**
     * 供应商签约类型 0 签约 1 私有
     */
    private Integer poSupliersmasterSuplierSignType;

    /**
     * 供应商来源：0线上供应商；1线下供应商
     */
    private Integer poSupliersmasterSupplierSource;
}





