package com.jarvis.dataCenter.entity.report;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.jarvis.lib.common.mybatisplus.entity.AbstractEntity;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @author jinzhaopo
 * @date 2019-10-29 10:48
 */
@Data
@TableName("report_so_po_info")
public class ReportSoPoInfo extends AbstractEntity {
    /**
     * 自增长
     */
    @TableId(type = IdType.AUTO)
    private Integer id;


    //------------------------- so_order_detail
    /**
     * so_detail_id
     */
    private Long soOrderDetailId;
    /**
     * 销售订单编号
     */
    private String soOrderDetailOrderMasterCode;

    /**
     * 发货单编号 SO+2位年+2位月+2位日+4位流水+2位流水（已作废）
     */
    private String soOrderDetailInvoiceCode;

    /**
     * sku编号
     */
    private String soOrderDetailSkuCode;
    /**
     * 单价
     */
    private BigDecimal soOrderDetailPrice;
    /**
     * 订货数量
     */
    private Integer soOrderDetailOrderCnt;

    /**
     * 预计发货数量（已作废）
     */
    private Integer soOrderDetailTempCnt;
    /**
     * 发货数量
     */
    private Integer soOrderDetailDeliveryCnt;

    /**
     * 收货数量
     */
    private Integer soOrderDetailReceiveCnt;

    /**
     * 缺货数量
     */
    private Integer soOrderDetailOutageQuantity;
    /**
     * 取消数量
     */
    private Integer soOrderDetailRejectedQuantity;
    /**
     * 已处理数量
     */
    private Integer soOrderDetailPendingCnt;

    /**
     * 补货数量
     */
    private Integer soOrderDetailRedeliveryQuantity;

    /**
     * 缺货售后数量
     */
    private Integer soOrderDetailCsStockoutCnt;
    /**
     * 缺货售后数量
     */
    private Integer soOrderDetailCsPendingCnt;

    /**
     * 待收货售后数量
     */
    private Integer soOrderDetailCsDeliveryCnt;

    /**
     * 已完成售后数量
     */
    private Integer soOrderDetailCsReceiveCnt;

    /**
     * 备注
     */
    private String soOrderDetailMemo;

    /**
     * 是否关闭
     */
    private Integer soOrderDetailIsClose;
    /**
     * 售后单号
     */
    private String soOrderDetailCsOrderCode;
    /**
     * 补货订单和采购订单互相关联的销售单号
     */
    private String soOrderDetailRelationSoCode;
    /**
     * 创建人
     */
    private String soOrderDetailCreator;
    /**
     * 修改人
     */
    private String soOrderDetailEditor;
    /**
     * 创建时间
     */
    private Date soOrderDetailCreatedTime;
    /**
     * 更新时间
     */
    private Date soOrderDetailUpdatedTime;

    /**
     * 促销分摊金额
     */
    private BigDecimal soOrderDetailProPrice;
    /**
     * 促销标记 0:不显示 1:显示
     */
    private Integer soOrderDetailProType;

    /**
     * 补货订单和采购订单互相关联的发货单号
     */
    private String soOrderDetailRelationInvoiceCode;
    /**
     * 客服备注
     */
    private String soOrderDetailCustomerServiceRemark;

    /**
     * bus_promotionmaster->id, 促销活动主表Id
     */
    private Long soOrderDetailPromotionId;

    /**
     * 优惠券分摊金额
     */
    private BigDecimal soOrderDetailPromotionPrice;

    /**
     * 商品优惠明细备注
     */
    private String soOrderDetailPromotionRemark;

    /**
     * 换货商品价值
     */
    private BigDecimal soOrderDetailBarterValue;
    /**
     * 充值卡分摊金额
     */
    private BigDecimal soOrderDetailRechargeCardPrice;

    /**
     * 商品优惠明细备注
     */
    private String soOrderDetailPromotionSnapshot;

    /**
     * 新发货数据迁移脚本标记(so单标记)
     */
    private String soOrderDetailRecoverMemo;
    /**
     * 新发货数据迁移脚本标记(详情关闭标记)
     */
    private String soOrderDetailRecoverClose;
    /**
     * 新发货数据迁移脚本标记(重复单据合并)
     */
    private String soOrderDetailReaptFlag;
    /**
     * 新发货数据迁移脚本标记(新增详情备注)
     */
    private String soOrderDetailNewDetailFlag;

    //--------------------------- so_master

    /**
     * 自增长
     */
    private Integer soOrderMasterId;

    /**
     * 销售订单编号
     */
    private String soOrderMasterOrderMasterCode;

    /**
     * 上级采购主订单code
     */
    private String soOrderMasterPoOrderMasterCode;

    /**
     * 供应商机构id
     */
    private Integer soOrderMasterSuplierId;

    /**
     * 收货机构id
     */
    private Integer soOrderMasterReceiveAgencyId;

    /**
     * 下单机构id
     */
    private Integer soOrderMasterAgencyId;

    /**
     * 20待支付、30待处理、35取消、40待发货、60已发货、70已完成、80缺货
     */
    private Integer soOrderMasterOrderStatus;

    /**
     * 处理状态 0未处理、40已处理
     */
    private Integer soOrderMasterProcessStatus;

    /**
     * 挂起状态：0正常, 1挂起
     */
    private Integer soOrderMasterLockStatus;

    /**
     * 0:未支付，30:已支付，31部分支付，35已取消
     */
    private Integer soOrderMasterPayStatus;

    /**
     * 销售订单主状态 0未发货、51部分发货、50全部发货
     */
    private Integer soOrderMasterIssuanceStatus;

    /**
     * 0未收货、61部分收货、70全部收货
     */
    private Integer soOrderMasterReceiveStatus;

    /**
     * 收款信息
     */
    private String soOrderMasterReceivablesInfo;

    /**
     * 收款时间 收款时间=客户付款时间，界面显示为【销售订单生成时间】
     */
    private Date soOrderMasterReceivablesTime;

    /**
     * 处理时间
     */
    private Date soOrderMasterProcessTime;

    /**
     * 处理人
     */
    private String soOrderMasterProcesser;

    /**
     * 销售订单金额 整笔销售订单，金额总计
     */
    private BigDecimal soOrderMasterTotalAmount;

    /**
     * 商品种类 整笔销售订单，sku的计数，不重复
     */
    private Integer soOrderMasterSkuKindCnt;

    /**
     * 商品数量 整笔销售订单，订货数量汇总
     */
    private Integer soOrderMasterSkuCnt;

    /**
     * 备注
     */
    private String soOrderMasterMemo;

    /**
     * 收发票地址id
     */
    private Integer soOrderMasterAgencyAddressId;

    /**
     * 国家ID
     */
    private Integer soOrderMasterCountryId;

    /**
     * 国家名称
     */
    private String soOrderMasterCountryName;

    /**
     * 省份ID
     */
    private Integer soOrderMasterProvinceId;

    /**
     * 省份名称
     */
    private String soOrderMasterProvinceName;

    /**
     * 城市ID
     */
    private Integer soOrderMasterCityId;

    /**
     * 城市名称
     */
    private String soOrderMasterCityName;

    /**
     * 区ID
     */
    private Integer soOrderMasterCountyId;

    /**
     * 区名称
     */
    private String soOrderMasterCountyName;

    /**
     * 详细地址
     */
    private String soOrderMasterAddress;

    /**
     * 收件人姓名
     */
    private String soOrderMasterDeliverName;

    /**
     * 收件人手机
     */
    private String soOrderMasterDeliverMobile;

    /**
     * 固定电话
     */
    private String soOrderMasterDeliverPhone;

    /**
     * 邮编
     */
    private String soOrderMasterPostCode;

    /**
     * 经度
     */
    private String soOrderMasterLongitude;

    /**
     * 纬度
     */
    private String soOrderMasterLatitude;

    /**
     * 支付人，支付时记录
     */
    private String soOrderMasterPayer;

    /**
     * 支付时记录
     */
    private Date soOrderMasterPayTime;

    /**
     * 创建人
     */
    private String soOrderMasterCreator;

    /**
     * 修改人
     */
    private String soOrderMasterEditor;

    /**
     * 创建时间
     */
    private Date soOrderMasterCreatedTime;

    /**
     * 更新时间
     */
    private Date soOrderMasterUpdatedTime;

    /**
     * 是否紧急 0:否 1:是
     */
    private Integer soOrderMasterIsUrgent;

    /**
     * 0：线下支付，1:线上, 2:无
     */
    private Integer soOrderMasterPaystyle;

    /**
     * 0线下支付；1联动支付；2银行卡；3微信；4支付宝；5账户余额; 6.无
     */
    private Integer soOrderMasterPayType;

    /**
     * 订单来源类型: 1.人工创建 2.下级机构上推 3.智能柜订单4.寄售订单
     */
    private Integer soOrderMasterSourceType;

    /**
     * 优惠金额
     */
    private BigDecimal soOrderMasterPromotionPrice;

    /**
     * 异常状态 0无异常，1申请缺货
     */
    private Integer soOrderMasterErrorStatus;

    /**
     * 申诉状态 0无申诉，1申诉申请，2申诉回复，3申诉完成
     */
    private Integer soOrderMasterAppealStatus;

    /**
     * 自营状态 0非自营，1自营
     */
    private Integer soOrderMasterSelfSupport;

    /**
     * 是否关闭：0不关闭；1关闭
     */
    private Integer soOrderMasterIsClose;

    /**
     * 补货订单和采购订单互相关联的销售单号
     */
    private String soOrderMasterRelationSoCode;

    /**
     * 关联关闭的销售单
     */
    private String soOrderMasterRelationCloseSo;

    /**
     * 是否生成发货单：0不生成；1生成
     */
    private Integer soOrderMasterCreateDo;

    /**
     * 订单类型：0采购订单；1补货订单
     */
    private Integer soOrderMasterOrderType;

    /**
     * 新发货数据处理标识历史订单；1：历史订单，0非历史订单
     */
    private Integer soOrderMasterHistoryClose;

    /**
     * 数据迁移标记字段(新增拆出来的发货单)
     */
    private String soOrderMasterCreateFlag;

    /**
     * 是否余额支付限制
     */
    private Integer soOrderMasterHasPayLimit;

    //-----------------------------po_coupondetail

    /**
     * 主键 自增长
     */
    private Integer poCouponDetailId;

    /**
     * 优惠券主id
     */
    private Integer poCouponDetailCounponid;

    /**
     * 集团id
     */
    private Integer poCouponDetailGroupid;

    /**
     * 诊所id
     */
    private Integer poCouponDetailChildid;

    /**
     * 销售主单编号
     */
    private String poCouponDetailOrderMasterCode;

    /**
     * 实际立减金额
     */
    private BigDecimal poCouponDetailDeductionAct;

    /**
     * 优惠券来源 1：正常 2：售后返回
     */
    private Integer poCouponDetailCouponSource;

    /**
     * 返券来源单号
     */
    private String poCouponDetailSourceNumber;

    /**
     * 使用状态 0：未使用 1：已冻结 2：已使用
     */
    private Integer poCouponDetailStatus;

    /**
     * 状态 0：禁用 1：启用
     */
    private Integer poCouponDetailUseFlg;

    /**
     * 备注
     */
    private String poCouponDetailMemo;

    /**
     * 创建人
     */
    private String poCouponDetailCreator;

    /**
     * 修改人
     */
    private String poCouponDetailEditor;

    /**
     * 创建时间
     */
    private Date poCouponDetailCreatedTime;

    /**
     * 更新时间
     */
    private Date poCouponDetailUpdatedTime;

    /**
     * 结束时间
     */
    private Date poCouponDetailEndTime;

    /**
     * 起始时间
     */
    private Date poCouponDetailBeginTime;

    //----------------------------poCouponmaster

    /**
     * 主键 自增长
     */
    private Integer poCouponmasterId;

    /**
     * 优惠券名称
     */
    private String poCouponmasterCouponName;

    /**
     * 优惠券显示名称
     */
    private String poCouponmasterCouponDisplayName;

    /**
     * 满额条件
     */
    private BigDecimal poCouponmasterSatisfyCondition;

    /**
     * 立减金额
     */
    private BigDecimal poCouponmasterDeduction;

    /**
     * 是否新用户 0：否 1：是
     */
    private Integer poCouponmasterIsNew;

    /**
     * 指定商品
     */
    private String poCouponmasterSkucode;

    private String poCouponmasterPubcode;

    /**
     * 0：全场券 1：公共券2：特殊券
     */
    private Integer poCouponmasterCodetype;

    /**
     * 创建时间
     */
    private Date poCouponmasterCreatedTime;

    /**
     * 更新时间
     */
    private Date poCouponmasterUpdatedTime;

    /**
     * 活动BannerPc
     */
    private String poCouponmasterBannerPc;

    /**
     * 活动BannerWap
     */
    private String poCouponmasterBannerWap;

    /**
     * 活动链接Pc
     */
    private String poCouponmasterUrlPc;

    /**
     * 活动链接Wap
     */
    private String poCouponmasterUrlWap;

    /**
     * 活动标识符
     */
    private String poCouponmasterUrlhash;

    /**
     * 1：按固定有效时间；2：按发放时间
     */
    private Integer poCouponmasterTimeType;

    /**
     * 按发放时间天数
     */
    private BigDecimal poCouponmasterLocalTime;

    /**
     * 状态 0：禁用 1：启用
     */
    private Integer poCouponmasterUseFlg;

    /**
     * 备注
     */
    private String poCouponmasterMemo;

    /**
     * 创建人
     */
    private String poCouponmasterCreator;

    /**
     * 修改人
     */
    private String poCouponmasterEditor;

    private Date poCouponmasterEndTime;

    private Date poCouponmasterBeginTime;

    //---------------------------poOrdermaster
    /**
     * 自增长
     */
    private Integer poOrdermasterId;

    /**
     * PO+2位年+2位月+2位日+4位流水
     */
    private String poOrdermasterOrderMasterCode;

    /**
     * 订单名称
     */
    private String poOrdermasterOrderMasterName;

    /**
     * 下单机构id
     */
    private Integer poOrdermasterAgencyId;

    /**
     * 采购订单状态 20未支付，30已支付，31部分支付，35已取消，40已处理，41部分处理，50已发货，51部分发货，61部分收货，70已完成
     */
    private Integer poOrdermasterOrderStatus;

    /**
     * 审核时间
     */
    private Date poOrdermasterReviewTime;

    /**
     * 审核人
     */
    private String poOrdermasterReviewer;

    /**
     * 驳回原因
     */
    private String poOrdermasterRejection;

    /**
     * 总金额 整笔采购订单，金额总计
     */
    private BigDecimal poOrdermasterTotalAmount;

    /**
     * 商品总计种类 整笔采购订单，sku的计数，不重复
     */
    private Integer poOrdermasterSkuKindCnt;

    /**
     * 商品总计数量 整笔采购订单，订货数量汇总
     */
    private Integer poOrdermasterSkuCnt;

    /**
     * 备注
     */
    private String poOrdermasterMemo;

    /**
     * 是否紧急 0:否 1:是
     */
    private Integer poOrdermasterIsUrgent;

    /**
     * 收发票地址id
     */
    private Integer poOrdermasterAgencyAddressId;

    /**
     * 国家ID
     */
    private Integer poOrdermasterCountryId;

    /**
     * 国家名称
     */
    private String poOrdermasterCountryName;

    /**
     * 省份ID
     */
    private Integer poOrdermasterProvinceId;

    /**
     * 省份名称
     */
    private String poOrdermasterProvinceName;

    /**
     * 城市ID
     */
    private Integer poOrdermasterCityId;

    /**
     * 城市名称
     */
    private String poOrdermasterCityName;

    /**
     * 区ID
     */
    private Integer poOrdermasterCountyId;

    /**
     * 区名称
     */
    private String poOrdermasterCountyName;

    /**
     * 详细地址
     */
    private String poOrdermasterAddress;

    /**
     * 收货人姓名
     */
    private String poOrdermasterDeliverName;

    /**
     * 收货人手机
     */
    private String poOrdermasterDeliverMobile;

    /**
     * 固定电话
     */
    private String poOrdermasterDeliverPhone;

    /**
     * 邮编1
     */
    private String poOrdermasterPostCode;

    /**
     * 经度
     */
    private String poOrdermasterLongitude;

    /**
     * 纬度
     */
    private String poOrdermasterLatitude;

    /**
     * 来源类型 1.人工创建 2.下级机构上推 3.历史订单复制 4.垃圾草稿复制 5.赠品 6.换货
     */
    private Integer poOrdermasterSourceTyp;

    /**
     * 订单提交人
     */
    private String poOrdermasterCommitor;

    /**
     * 订单提交时间
     */
    private Date poOrdermasterCommitTime;

    /**
     * 创建人
     */
    private String poOrdermasterCreator;

    /**
     * 修改人
     */
    private String poOrdermasterEditor;

    /**
     * 创建时间
     */
    private Date poOrdermasterCreatedTime;

    /**
     * 更新时间
     */
    private Date poOrdermasterUpdatedTime;

    /**
     * 发票类型：po_receipt->com_system
     */
    private String poOrdermasterReceipt;

    /**
     * 优惠金额
     */
    private BigDecimal poOrdermasterDelPromotion;

    /**
     * 应付金额
     */
    private BigDecimal poOrdermasterRealAmount;

    /**
     * 账期金额
     */
    private BigDecimal poOrdermasterCreditAmout;

    /**
     * 草稿补货类型 0采购草稿 1补货草稿
     */
    private Integer poOrdermasterReplenishmentType;

    /**
     * 运费金额
     */
    private BigDecimal poOrdermasterFreight;

    /**
     * 补货订单是否关联采购订单：0不关联；1关联
     */
    private Integer poOrdermasterIsRelation;

    /**
     * 活动优惠
     */
    private BigDecimal poOrdermasterActivePrice;

    /**
     * 换货商品价值
     */
    private BigDecimal poOrdermasterBarterValue;

    /**
     * 商品优惠备注
     */
    private String poOrdermasterPromotionSnapshot;

    /**
     * 满返活动备注
     */
    private String poOrdermasterActiveSnapshot;

    /**
     * 备注状态：0未创建；1处理中；2已完成
     */
    private Integer poOrdermasterRemarkStatus;

}
