package com.jarvis.dataCenter.entity.warehouse;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;


import lombok.Data;

import com.jarvis.lib.common.mybatisplus.entity.AbstractEntity;
/**
 * <p>
 * 发货单详情 ENTITY
 * </p>
 *
 * @author jinzhaopo
 * @since 2019-10-30
 */
@Data
@TableName("delivery_order_detail")
public class DeliveryOrderDetailEntity extends AbstractEntity {

    private static final long serialVersionUID = 1L;
    
    @TableId(value = ID, type = IdType.AUTO)
    private Long id;
    
    /**
     * 发货单id
     */
    @TableField(DELIVERY_ORDER_ID)
    private Long deliveryOrderId;
    
    /**
     * po单号
     */
    @TableField(PO_CODE)
    private String poCode;
    
    /**
     * so单号
     */
    @TableField(SO_CODE)
    private String soCode;
    
    /**
     * 发货单号
     */
    @TableField(DO_CODE)
    private String doCode;
    
    /**
     * sku编号
     */
    @TableField(SKU_CODE)
    private String skuCode;
    
    /**
     * 供应商id
     */
    @TableField(SUPPLIER_ID)
    private Long supplierId;
    
    /**
     * 供应商名称
     */
    @TableField(SUPPLIER_NAME)
    private String supplierName;
    
    /**
     * 供应商简称
     */
    @TableField(SUPPLIER_SHORT_NAME)
    private String supplierShortName;
    
    /**
     * 产品id
     */
    @TableField(PRODUCT_ID)
    private Long productId;
    
    /**
     * 产品名称
     */
    @TableField(PRODUCT_NAME)
    private String productName;
    
    /**
     * 规格id
     */
    @TableField(SPEC_ID)
    private Long specId;
    
    /**
     * 规格名称
     */
    @TableField(SPEC_NAME)
    private String specName;
    
    /**
     * 子规格名称
     */
    @TableField(SPEC_NAME_EXT)
    private String specNameExt;
    
    /**
     * 销售单位
     */
    @TableField(SALES_UNIT)
    private String salesUnit;
    
    /**
     * 品牌id
     */
    @TableField(BRAND_ID)
    private Long brandId;
    
    /**
     * 物料品牌
     */
    @TableField(BRAND_NAME)
    private String brandName;
    
    /**
     * 发货仓ID
     */
    @TableField(SUPPLIER_WAREHOUSE_ID)
    private Long supplierWarehouseId;
    
    /**
     * 发货仓
     */
    @TableField(SUPPLIER_WAREHOUSE_NAME)
    private String supplierWarehouseName;
    
    /**
     * 产商商品编码
     */
    @TableField(PRODUCER_PROD_CODE)
    private String producerProdCode;
    
    /**
     * 客户商品编码
     */
    @TableField(CUSTOMER_PROD_CODE)
    private String customerProdCode;
    
    /**
     * 供应商商品编码
     */
    @TableField(SUPPLIER_PROD_CODE)
    private String supplierProdCode;
    
    /**
     * 期望发货数量
     */
    @TableField(EXPECT_QUANTITY)
    private BigDecimal expectQuantity;
    
    /**
     * 缺货数量
     */
    @TableField(OUTAGE_QUANTITY)
    private BigDecimal outageQuantity;
    
    /**
     * 实际发货数量
     */
    @TableField(ACTUAL_QUANTITY)
    private BigDecimal actualQuantity;
    
    /**
     * 客户备注
     */
    @TableField(CUSTOMER_MEMO)
    private String customerMemo;
    
    /**
     * 客服备注
     */
    @TableField(CUSTOMER_SERVICE_MEMO)
    private String customerServiceMemo;
    
    /**
     * 0未拼团；1拼团中；2拼团完成；3 拼团失败
     */
    @TableField(GROUP_BUY_STATUS)
    private String groupBuyStatus;
    
    @TableField(CREATED_TIME)
    private Date createdTime;
    
    @TableField(UPDATED_TIME)
    private Date updatedTime;
    
    @TableField(VERSION)
    private Integer version;



    /**
     * 
     */
    public static final String ID = "id";

    /**
     * 发货单id
     */
    public static final String DELIVERY_ORDER_ID = "delivery_order_id";

    /**
     * po单号
     */
    public static final String PO_CODE = "po_code";

    /**
     * so单号
     */
    public static final String SO_CODE = "so_code";

    /**
     * 发货单号
     */
    public static final String DO_CODE = "do_code";

    /**
     * sku编号
     */
    public static final String SKU_CODE = "sku_code";

    /**
     * 供应商id
     */
    public static final String SUPPLIER_ID = "supplier_id";

    /**
     * 供应商名称
     */
    public static final String SUPPLIER_NAME = "supplier_name";

    /**
     * 供应商简称
     */
    public static final String SUPPLIER_SHORT_NAME = "supplier_short_name";

    /**
     * 产品id
     */
    public static final String PRODUCT_ID = "product_id";

    /**
     * 产品名称
     */
    public static final String PRODUCT_NAME = "product_name";

    /**
     * 规格id
     */
    public static final String SPEC_ID = "spec_id";

    /**
     * 规格名称
     */
    public static final String SPEC_NAME = "spec_name";

    /**
     * 子规格名称
     */
    public static final String SPEC_NAME_EXT = "spec_name_ext";

    /**
     * 销售单位
     */
    public static final String SALES_UNIT = "sales_unit";

    /**
     * 品牌id
     */
    public static final String BRAND_ID = "brand_id";

    /**
     * 物料品牌
     */
    public static final String BRAND_NAME = "brand_name";

    /**
     * 发货仓ID
     */
    public static final String SUPPLIER_WAREHOUSE_ID = "supplier_warehouse_id";

    /**
     * 发货仓
     */
    public static final String SUPPLIER_WAREHOUSE_NAME = "supplier_warehouse_name";

    /**
     * 产商商品编码
     */
    public static final String PRODUCER_PROD_CODE = "producer_prod_code";

    /**
     * 客户商品编码
     */
    public static final String CUSTOMER_PROD_CODE = "customer_prod_code";

    /**
     * 供应商商品编码
     */
    public static final String SUPPLIER_PROD_CODE = "supplier_prod_code";

    /**
     * 期望发货数量
     */
    public static final String EXPECT_QUANTITY = "expect_quantity";

    /**
     * 缺货数量
     */
    public static final String OUTAGE_QUANTITY = "outage_quantity";

    /**
     * 实际发货数量
     */
    public static final String ACTUAL_QUANTITY = "actual_quantity";

    /**
     * 客户备注
     */
    public static final String CUSTOMER_MEMO = "customer_memo";

    /**
     * 客服备注
     */
    public static final String CUSTOMER_SERVICE_MEMO = "customer_service_memo";

    /**
     * 0未拼团；1拼团中；2拼团完成；3 拼团失败
     */
    public static final String GROUP_BUY_STATUS = "group_buy_status";

    /**
     * 
     */
    public static final String CREATED_TIME = "created_time";

    /**
     * 
     */
    public static final String UPDATED_TIME = "updated_time";

    /**
     * 
     */
    public static final String VERSION = "version";


}
