package com.jarvis.dataCenter.entity.warehouse;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;

import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;


import lombok.Data;

import com.jarvis.lib.common.mybatisplus.entity.AbstractEntity;
/**
 * <p>
 * 发货单 ENTITY
 * </p>
 *
 * @author jinzhaopo
 * @since 2019-10-30
 */
@Data
@TableName("delivery_order")
public class DeliveryOrderEntity extends AbstractEntity {

    private static final long serialVersionUID = 1L;
    
    @TableId(value = ID, type = IdType.AUTO)
    private Long id;
    
    /**
     * 发货单编号
     */
    @TableField(CODE)
    private String code;
    
    /**
     * 订单类型，NORMAL：普通发货单, CONSIGNMENT：寄售单, REPLENISHMENT：补货单,SMART_BOX: 智能柜
     */
    @TableField(TYPE)
    private String type;
    
    /**
     * po编号
     */
    @TableField(PO_CODE)
    private String poCode;
    
    /**
     * 物流公司id
     */
    @TableField(LOGISTICS_COMPANY_ID)
    private Long logisticsCompanyId;
    
    /**
     * 物流单号
     */
    @TableField(LOGISTICS_CODE)
    private String logisticsCode;
    
    /**
     * 发货日期
     */
    @TableField(DELIVERED_DATE)
    private Date deliveredDate;
    
    /**
     * 发货单状态,WAIT：待发货，DELIVERED：已发货，RECEIVED：已收货，CLOSED：已关闭
     */
    @TableField(STATUS)
    private String status;
    
    /**
     * 备注状态：0未创建；1处理中；2已完成
     */
    @TableField(REMARK_STATUS)
    private Integer remarkStatus;
    
    /**
     * 发货仓库id
     */
    @TableField(WAREHOUSE_ID)
    private Long warehouseId;
    
    /**
     * 归属供应商id
     */
    @TableField(SUPPLIER_ID)
    private Long supplierId;
    
    /**
     * 归属供应商名称
     */
    @TableField(SUPPLIER_NAME)
    private String supplierName;
    
    /**
     * 归属供应商简称
     */
    @TableField(SUPPLIER_SHORT_NAME)
    private String supplierShortName;
    
    /**
     * 订货集团id
     */
    @TableField(PURCHASE_GROUP_ID)
    private Long purchaseGroupId;
    
    /**
     * 订货集团
     */
    @TableField(PURCHASE_GROUP_NAME)
    private String purchaseGroupName;
    
    /**
     * 订货集团简称
     */
    @TableField(PURCHASE_GROUP_SHORT_NAME)
    private String purchaseGroupShortName;
    
    /**
     * 订货机构id
     */
    @TableField(PURCHASE_AGENCY_ID)
    private Long purchaseAgencyId;
    
    /**
     * 订货机构
     */
    @TableField(PURCHASE_AGENCY_NAME)
    private String purchaseAgencyName;
    
    /**
     * 订货机构简称
     */
    @TableField(PURCHASE_AGENCY_SHORT_NAME)
    private String purchaseAgencyShortName;
    
    /**
     * 订货人
     */
    @TableField(PURCHASE_USER)
    private String purchaseUser;
    
    /**
     * 订货人手机号
     */
    @TableField(PURCHASE_USER_MOBILE)
    private String purchaseUserMobile;
    
    /**
     * 智能柜编号
     */
    @TableField(CABINET_ID)
    private String cabinetId;
    
    /**
     * 收货机构id
     */
    @TableField(DELIVERY_AGENCY_ID)
    private Long deliveryAgencyId;
    
    /**
     * 收货机构
     */
    @TableField(DELIVERY_AGENCY_NAME)
    private String deliveryAgencyName;
    
    /**
     * 收货机构简称
     */
    @TableField(DELIVERY_AGENCY_SHORT_NAME)
    private String deliveryAgencyShortName;
    
    /**
     * 收货地址id
     */
    @TableField(ADDRESS_ID)
    private Long addressId;
    
    /**
     * 邮政编码
     */
    @TableField(POSTCODE)
    private String postcode;
    
    /**
     * 国家
     */
    @TableField(COUNTRY_NAME)
    private String countryName;
    
    /**
     * 省份
     */
    @TableField(PROVINCE_NAME)
    private String provinceName;
    
    /**
     * 城市
     */
    @TableField(CITY_NAME)
    private String cityName;
    
    /**
     * 区
     */
    @TableField(DISTRICT_NAME)
    private String districtName;
    
    /**
     * 详细地址
     */
    @TableField(ADDRESS)
    private String address;
    
    /**
     * 创建用户
     */
    @TableField(CREATED_USER)
    private String createdUser;
    
    /**
     * 收货人
     */
    @TableField(RECEIVER_NAME)
    private String receiverName;
    
    /**
     * 收货人手机
     */
    @TableField(RECEIVER_MOBILE)
    private String receiverMobile;
    
    /**
     * 收货人电话
     */
    @TableField(RECEIVER_PHONE)
    private String receiverPhone;
    
    /**
     * 发货人
     */
    @TableField(DELIVERY_USER)
    private String deliveryUser;
    
    /**
     * 关联补货单
     */
    @TableField(REFER_DO_CODE)
    private String referDoCode;
    
    /**
     * 合并后的发货单号
     */
    @TableField(MERGE_DO_CODE)
    private String mergeDoCode;
    
    /**
     * 通知状态:Y已通知,N未通知
     */
    @TableField(NOTICE_STATUS)
    private String noticeStatus;
    
    /**
     * 备注
     */
    @TableField(MEMO)
    private String memo;
    
    /**
     * 出库备注
     */
    @TableField(CHECK_OUT_MEMO)
    private String checkOutMemo;
    
    @TableField(CREATED_TIME)
    private Date createdTime;
    
    @TableField(UPDATED_TIME)
    private Date updatedTime;
    
    @TableField(VERSION)
    private Integer version;



    /**
     * 
     */
    public static final String ID = "id";

    /**
     * 发货单编号
     */
    public static final String CODE = "code";

    /**
     * 订单类型，NORMAL：普通发货单, CONSIGNMENT：寄售单, REPLENISHMENT：补货单,SMART_BOX: 智能柜
     */
    public static final String TYPE = "type";

    /**
     * po编号
     */
    public static final String PO_CODE = "po_code";

    /**
     * 物流公司id
     */
    public static final String LOGISTICS_COMPANY_ID = "logistics_company_id";

    /**
     * 物流单号
     */
    public static final String LOGISTICS_CODE = "logistics_code";

    /**
     * 发货日期
     */
    public static final String DELIVERED_DATE = "delivered_date";

    /**
     * 发货单状态,WAIT：待发货，DELIVERED：已发货，RECEIVED：已收货，CLOSED：已关闭
     */
    public static final String STATUS = "status";

    /**
     * 备注状态：0未创建；1处理中；2已完成
     */
    public static final String REMARK_STATUS = "remark_status";

    /**
     * 发货仓库id
     */
    public static final String WAREHOUSE_ID = "warehouse_id";

    /**
     * 归属供应商id
     */
    public static final String SUPPLIER_ID = "supplier_id";

    /**
     * 归属供应商名称
     */
    public static final String SUPPLIER_NAME = "supplier_name";

    /**
     * 归属供应商简称
     */
    public static final String SUPPLIER_SHORT_NAME = "supplier_short_name";

    /**
     * 订货集团id
     */
    public static final String PURCHASE_GROUP_ID = "purchase_group_id";

    /**
     * 订货集团
     */
    public static final String PURCHASE_GROUP_NAME = "purchase_group_name";

    /**
     * 订货集团简称
     */
    public static final String PURCHASE_GROUP_SHORT_NAME = "purchase_group_short_name";

    /**
     * 订货机构id
     */
    public static final String PURCHASE_AGENCY_ID = "purchase_agency_id";

    /**
     * 订货机构
     */
    public static final String PURCHASE_AGENCY_NAME = "purchase_agency_name";

    /**
     * 订货机构简称
     */
    public static final String PURCHASE_AGENCY_SHORT_NAME = "purchase_agency_short_name";

    /**
     * 订货人
     */
    public static final String PURCHASE_USER = "purchase_user";

    /**
     * 订货人手机号
     */
    public static final String PURCHASE_USER_MOBILE = "purchase_user_mobile";

    /**
     * 智能柜编号
     */
    public static final String CABINET_ID = "cabinet_id";

    /**
     * 收货机构id
     */
    public static final String DELIVERY_AGENCY_ID = "delivery_agency_id";

    /**
     * 收货机构
     */
    public static final String DELIVERY_AGENCY_NAME = "delivery_agency_name";

    /**
     * 收货机构简称
     */
    public static final String DELIVERY_AGENCY_SHORT_NAME = "delivery_agency_short_name";

    /**
     * 收货地址id
     */
    public static final String ADDRESS_ID = "address_id";

    /**
     * 邮政编码
     */
    public static final String POSTCODE = "postcode";

    /**
     * 国家
     */
    public static final String COUNTRY_NAME = "country_name";

    /**
     * 省份
     */
    public static final String PROVINCE_NAME = "province_name";

    /**
     * 城市
     */
    public static final String CITY_NAME = "city_name";

    /**
     * 区
     */
    public static final String DISTRICT_NAME = "district_name";

    /**
     * 详细地址
     */
    public static final String ADDRESS = "address";

    /**
     * 创建用户
     */
    public static final String CREATED_USER = "created_user";

    /**
     * 收货人
     */
    public static final String RECEIVER_NAME = "receiver_name";

    /**
     * 收货人手机
     */
    public static final String RECEIVER_MOBILE = "receiver_mobile";

    /**
     * 收货人电话
     */
    public static final String RECEIVER_PHONE = "receiver_phone";

    /**
     * 发货人
     */
    public static final String DELIVERY_USER = "delivery_user";

    /**
     * 关联补货单
     */
    public static final String REFER_DO_CODE = "refer_do_code";

    /**
     * 合并后的发货单号
     */
    public static final String MERGE_DO_CODE = "merge_do_code";

    /**
     * 通知状态:Y已通知,N未通知
     */
    public static final String NOTICE_STATUS = "notice_status";

    /**
     * 备注
     */
    public static final String MEMO = "memo";

    /**
     * 出库备注
     */
    public static final String CHECK_OUT_MEMO = "check_out_memo";

    /**
     * 
     */
    public static final String CREATED_TIME = "created_time";

    /**
     * 
     */
    public static final String UPDATED_TIME = "updated_time";

    /**
     * 
     */
    public static final String VERSION = "version";


}
