package com.jarvis.dataCenter.entity.warehouse;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;


import lombok.Data;

import com.jarvis.lib.common.mybatisplus.entity.AbstractEntity;
/**
 * <p>
 * 收货记录表 ENTITY
 * </p>
 *
 * @author jinzhaopo
 * @since 2019-10-30
 */
@Data
@TableName("delivery_order_receipt")
public class DeliveryOrderReceiptEntity extends AbstractEntity {

    private static final long serialVersionUID = 1L;
    
    @TableId(value = ID, type = IdType.AUTO)
    private Long id;
    
    /**
     * 收货记录编码
     */
    @TableField(RR_CODE)
    private String rrCode;
    
    /**
     * 发货单号
     */
    @TableField(DO_CODE)
    private String doCode;
    
    /**
     * 销售单号
     */
    @TableField(SO_CODE)
    private String soCode;
    
    /**
     * 采购单号
     */
    @TableField(PO_CODE)
    private String poCode;
    
    /**
     * Sku编码
     */
    @TableField(SKU_CODE)
    private String skuCode;
    
    /**
     * 规格ID
     */
    @TableField(SPEC_ID)
    private Long specId;
    
    /**
     * 批号
     */
    @TableField(BATCH_CODE)
    private String batchCode;
    
    /**
     * 序列号
     */
    @TableField(SERIAL_CODE)
    private String serialCode;
    
    /**
     * 寄售唯一码
     */
    @TableField(RF_ID)
    private String rfId;
    
    /**
     * 已收货数量
     */
    @TableField(RECEIPT_QUANTITY)
    private BigDecimal receiptQuantity;
    
    /**
     * 收货人
     */
    @TableField(RECEIVE_USER_NAME)
    private String receiveUserName;
    
    /**
     * 收货人手机号
     */
    @TableField(RECEIVE_USER_MOBILE)
    private String receiveUserMobile;
    
    /**
     * 备注
     */
    @TableField(MEMO)
    private String memo;
    
    @TableField(CREATED_TIME)
    private Date createdTime;
    
    @TableField(UPDATED_TIME)
    private Date updatedTime;
    
    @TableField(VERSION)
    private Integer version;



    /**
     * 
     */
    public static final String ID = "id";

    /**
     * 收货记录编码
     */
    public static final String RR_CODE = "rr_code";

    /**
     * 发货单号
     */
    public static final String DO_CODE = "do_code";

    /**
     * 销售单号
     */
    public static final String SO_CODE = "so_code";

    /**
     * 采购单号
     */
    public static final String PO_CODE = "po_code";

    /**
     * Sku编码
     */
    public static final String SKU_CODE = "sku_code";

    /**
     * 规格ID
     */
    public static final String SPEC_ID = "spec_id";

    /**
     * 批号
     */
    public static final String BATCH_CODE = "batch_code";

    /**
     * 序列号
     */
    public static final String SERIAL_CODE = "serial_code";

    /**
     * 寄售唯一码
     */
    public static final String RF_ID = "rf_id";

    /**
     * 已收货数量
     */
    public static final String RECEIPT_QUANTITY = "receipt_quantity";

    /**
     * 收货人
     */
    public static final String RECEIVE_USER_NAME = "receive_user_name";

    /**
     * 收货人手机号
     */
    public static final String RECEIVE_USER_MOBILE = "receive_user_mobile";

    /**
     * 备注
     */
    public static final String MEMO = "memo";

    /**
     * 
     */
    public static final String CREATED_TIME = "created_time";

    /**
     * 
     */
    public static final String UPDATED_TIME = "updated_time";

    /**
     * 
     */
    public static final String VERSION = "version";


}
