package com.jarvis.dataCenter.entity.warehouse;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;

import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;


import lombok.Data;

import com.jarvis.lib.common.mybatisplus.entity.AbstractEntity;
/**
 * <p>
 * 仓库表 ENTITY
 * </p>
 *
 * @author jinzhaopo
 * @since 2019-10-30
 */
@Data
@TableName("warehouse")
public class WarehouseEntity extends AbstractEntity {

    private static final long serialVersionUID = 1L;
    
    @TableId(value = ID, type = IdType.AUTO)
    private Long id;
    
    /**
     * 名称
     */
    @TableField(NAME)
    private String name;
    
    /**
     * 编号
     */
    @TableField(CODE)
    private String code;
    
    /**
     * 锁定仓库
     */
    @TableField(LOCKED)
    private String locked;
    
    /**
     * 出库排序
     */
    @TableField(CHECK_OUT_SORT)
    private Integer checkOutSort;
    
    /**
     * 是否启用
     */
    @TableField(ENABLED)
    private String enabled;
    
    /**
     * 联系人
     */
    @TableField(CONTACT)
    private String contact;
    
    /**
     * 联系人
     */
    @TableField(USER_NAME)
    private String userName;
    
    /**
     * 地址
     */
    @TableField(ADDRESS)
    private String address;
    
    /**
     * 手机号
     */
    @TableField(MOBILE)
    private String mobile;
    
    @TableField(CREATED_TIME)
    private Date createdTime;
    
    @TableField(UPDATED_TIME)
    private Date updatedTime;
    
    @TableField(VERSION)
    private Integer version;



    /**
     * 
     */
    public static final String ID = "id";

    /**
     * 名称
     */
    public static final String NAME = "name";

    /**
     * 编号
     */
    public static final String CODE = "code";

    /**
     * 锁定仓库
     */
    public static final String LOCKED = "locked";

    /**
     * 出库排序
     */
    public static final String CHECK_OUT_SORT = "check_out_sort";

    /**
     * 是否启用
     */
    public static final String ENABLED = "enabled";

    /**
     * 联系人
     */
    public static final String CONTACT = "contact";

    /**
     * 联系人
     */
    public static final String USER_NAME = "user_name";

    /**
     * 地址
     */
    public static final String ADDRESS = "address";

    /**
     * 手机号
     */
    public static final String MOBILE = "mobile";

    /**
     * 
     */
    public static final String CREATED_TIME = "created_time";

    /**
     * 
     */
    public static final String UPDATED_TIME = "updated_time";

    /**
     * 
     */
    public static final String VERSION = "version";


}
