package com.jarvis.dataCenter.service.impl.report;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.jarvis.common.redis.service.RedisService;
import com.jarvis.dataCenter.bean.BeanUtils;
import com.jarvis.dataCenter.constants.DbConstants;
import com.jarvis.dataCenter.entity.prod.CsOrderDetailEntity;
import com.jarvis.dataCenter.entity.prod.CsOrderEntity;
import com.jarvis.dataCenter.entity.report.ReportCsOrderInfo;
import com.jarvis.dataCenter.mapper.prod.CsOrderDetailMapper;
import com.jarvis.dataCenter.mapper.report.ReportCsOrderInfoMapper;
import com.jarvis.dataCenter.service.prod.CsOrderDetailService;
import com.jarvis.dataCenter.service.prod.CsOrderService;
import com.jarvis.dataCenter.service.report.ReportCsOrderInfoService;
import com.jarvis.lib.common.mybatisplus.service.impl.BaseServiceImpl;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * @author jinzhaopo
 * @date 2019-10-30 10:23
 */
@DS(DbConstants.REPORT)
@Service
@Slf4j
public class ReportCsOrderInfoServiceImpl extends BaseServiceImpl<ReportCsOrderInfoMapper, ReportCsOrderInfo> implements ReportCsOrderInfoService {

    @Autowired
    private CsOrderService csOrderService;

    @Autowired
    private CsOrderDetailService csOrderDetailService;

    @Autowired
    private CsOrderDetailMapper csOrderDetailMapper;

    @Autowired
    private RedisService redisService;

    public static String REDIS_KEY = "sync:report:csDetail:id:";


    @Override
    public void sync() {
        Long endId = csOrderDetailMapper.maxId();
        Integer startId = (Integer) redisService.get(REDIS_KEY);
        if (startId == null) {
            startId = 0;
        }

        //  同步信息
        for (long i = startId.intValue(); i <= endId.intValue(); i++) {
            try {
                sync(i);
            } catch (Exception e) {
                e.printStackTrace();
            }
            redisService.getRedisTemplateObj().opsForValue().increment(REDIS_KEY, 1);
        }
    }

    @Override
    public ReportCsOrderInfo sync(Long csDetailId) {
        ReportCsOrderInfo reportCsOrderInfo = new ReportCsOrderInfo();
        CsOrderDetailEntity csOrderDetailEntity =
                csOrderDetailService.getOne(Wrappers.lambdaQuery(new CsOrderDetailEntity()).eq(CsOrderDetailEntity::getCsDetailId, csDetailId));
        BeanUtils.build(reportCsOrderInfo, csOrderDetailEntity);


        if (csOrderDetailEntity == null) {
            return null;
        }


        CsOrderEntity csOrderEntity =
                csOrderService.getOne(Wrappers.lambdaQuery(new CsOrderEntity()).eq(CsOrderEntity::getCsOrderCode, csOrderDetailEntity.getCsOrderCode()));
        BeanUtils.build(reportCsOrderInfo, csOrderEntity);

        save(reportCsOrderInfo);
        log.info("save:reportCsOrderInfo:{}", reportCsOrderInfo);
        return reportCsOrderInfo;
    }
}
